"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAnnotationInputWithKnowledgeBase = void 0;
const React = require("react");
const AnnotationsSelect_1 = require("./AnnotationsSelect");
const GetFields_1 = require("./GetFields");
function getAnnotationInputWithKnowledgeBase(superdesk) {
    class AnnotationInputWithKnowledgeBaseComponent extends React.Component {
        componentDidMount() {
            const { generateFilterForServer } = superdesk.forms;
            const { nameField } = GetFields_1.getFields(superdesk);
            this.props.conceptItems.read(1, { field: 'name', direction: 'ascending' }, { name: generateFilterForServer(nameField.type, this.props.annotationText) });
        }
        render() {
            if (this.props.conceptItems._items == null) {
                return null; // loading
            }
            return (React.createElement(AnnotationsSelect_1.AnnotationsSelect, { annotationText: this.props.annotationText, onApplyAnnotation: this.props.onApplyAnnotation, annotationTypeSelect: this.props.annotationTypeSelect, onCancel: this.props.onCancel, conceptItems: this.props.conceptItems, superdesk: superdesk }));
        }
    }
    return superdesk.components.connectCrudManager(AnnotationInputWithKnowledgeBaseComponent, 'conceptItems', 'concept_items');
}
exports.getAnnotationInputWithKnowledgeBase = getAnnotationInputWithKnowledgeBase;
