"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnnotationsSelect = void 0;
const React = require("react");
const AnnotationSelectList_1 = require("./AnnotationSelectList");
const AnnotationSelectSingleItem_1 = require("./AnnotationSelectSingleItem");
class AnnotationsSelect extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            selected: null,
        };
    }
    render() {
        const { gettext } = this.props.superdesk.localization;
        const backButton = (React.createElement("div", { className: "space-between", style: { marginTop: 15 } },
            React.createElement("span", null),
            React.createElement("button", { onClick: this.props.onCancel, className: "btn" }, gettext('Cancel'))));
        if (this.props.conceptItems._items == null) {
            return null; // loading
        }
        if (this.props.conceptItems._meta.total < 1) {
            return (React.createElement("div", null,
                React.createElement("p", { style: { marginTop: 20 } }, gettext('No matches found in the library.')),
                backButton));
        }
        if (this.state.selected != null) {
            return (React.createElement(AnnotationSelectSingleItem_1.AnnotationSelectSingleItem, { item: this.state.selected, onBack: () => {
                    this.setState({ selected: null });
                }, annotationTypeSelect: this.props.annotationTypeSelect, onApplyAnnotation: this.props.onApplyAnnotation, superdesk: this.props.superdesk }));
        }
        else {
            return (React.createElement(AnnotationSelectList_1.AnnotationSelectList, { items: this.props.conceptItems._items, onSelect: (item) => {
                    this.setState({ selected: item });
                }, backButton: backButton, onCancel: this.props.onCancel, superdesk: this.props.superdesk }));
        }
    }
}
exports.AnnotationsSelect = AnnotationsSelect;
