"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFields = void 0;
function getFields(superdesk) {
    const { gettext } = superdesk.localization;
    const { FormFieldType } = superdesk.forms;
    const nameField = {
        label: gettext('Name'),
        type: FormFieldType.textSingleLine,
        field: 'name',
        required: true,
    };
    const languageField = {
        label: gettext('Language'),
        type: FormFieldType.vocabularySingleValue,
        field: 'language',
        component_parameters: {
            vocabulary_id: 'languages',
        },
        required: true,
    };
    const definitionField = {
        label: gettext('Definition'),
        type: FormFieldType.textEditor3,
        field: 'definition_html',
        required: true,
    };
    return {
        nameField,
        languageField,
        definitionField,
    };
}
exports.getFields = getFields;
