"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAutoTaggingVocabularyLabels = void 0;
const immutable_1 = require("immutable");
function getAutoTaggingVocabularyLabels(superdesk) {
    const { dataApi } = superdesk;
    return dataApi.query('vocabularies', 1, { field: 'name', direction: 'ascending' }, { imatrics_enabled: true }).then((vocabularies) => {
        return immutable_1.Map(vocabularies._items.map(({ _id, display_name }) => [_id, display_name]));
    });
}
exports.getAutoTaggingVocabularyLabels = getAutoTaggingVocabularyLabels;
