"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const auto_tagging_1 = require("./auto-tagging");
const extension = {
    id: 'autoTagging',
    activate: (superdesk) => {
        const { gettext } = superdesk.localization;
        const label = gettext('iMatrics tagging');
        const result = {
            contributions: {
                authoringSideWidgets: [
                    {
                        _id: 'imatrics-auto-tagging-widget',
                        label: label,
                        icon: 'tag',
                        order: 1,
                        component: auto_tagging_1.getAutoTaggingComponent(superdesk, label),
                        isAllowed: (item) => item.type === 'text',
                    },
                ],
            },
        };
        return Promise.resolve(result);
    },
};
exports.default = extension;
