"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGroups = void 0;
const immutable_1 = require("immutable");
function getGroups(superdesk) {
    const { gettext } = superdesk.localization;
    let groups = immutable_1.OrderedMap();
    groups = groups.set('organisation', {
        singular: gettext('Organisation'),
        plural: gettext('Organisations'),
    });
    groups = groups.set('person', {
        singular: gettext('Person'),
        plural: gettext('People'),
    });
    groups = groups.set('event', {
        singular: gettext('Event'),
        plural: gettext('Events'),
    });
    groups = groups.set('place', {
        singular: gettext('Place'),
        plural: gettext('Places'),
    });
    groups = groups.set('object', {
        singular: gettext('Object'),
        plural: gettext('Objects'),
    });
    return groups;
}
exports.getGroups = getGroups;
