"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTagsListComponent = void 0;
const React = require("react");
const react_1 = require("superdesk-ui-framework/react");
const lodash_1 = require("lodash");
const tag_popover_1 = require("./tag-popover");
function getTagsListComponent(superdesk) {
    const { gettext } = superdesk.localization;
    return class TagList extends React.PureComponent {
        render() {
            const { tags, onRemove, readOnly, savedTags } = this.props;
            return tags.map((item, id) => (React.createElement(tag_popover_1.TagPopover, { tag: item, key: item.qcode, gettext: gettext },
                React.createElement(react_1.Tag, { key: item.qcode, text: item.name, shade: savedTags.has(item.qcode) ? 'highlight1' : 'light', onClick: readOnly
                        ? lodash_1.noop
                        : () => {
                            onRemove(id);
                        } })))).toArray();
        }
    };
}
exports.getTagsListComponent = getTagsListComponent;
