"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TagPopover = void 0;
const React = require("react");
const OverlayTrigger_1 = require("react-bootstrap/OverlayTrigger");
class TagPopover extends React.PureComponent {
    render() {
        var _a, _b;
        const { tag, children, gettext } = this.props;
        const overlay = (React.createElement("div", { className: "sd-popover", style: { zIndex: 999, opacity: 1 } },
            React.createElement("div", { className: "sd-popover__header" },
                React.createElement("h4", { className: "sd-popover__title" }, tag.name)),
            React.createElement("div", { className: "sd-popover__content" },
                tag.description && (React.createElement("div", null, tag.description)),
                !!((_a = tag.aliases) === null || _a === void 0 ? void 0 : _a.length) && (React.createElement("div", null,
                    gettext('Aliases:'),
                    ' ', (_b = tag.aliases) === null || _b === void 0 ? void 0 :
                    _b.join(', '))),
                tag.original_source && (React.createElement("div", null,
                    gettext('Source:'),
                    ' ',
                    tag.original_source)))));
        return (React.createElement(OverlayTrigger_1.default, { overlay: overlay, trigger: ['hover', 'focus'], placement: 'bottom', delay: 500 },
            React.createElement("div", { style: { display: 'inline-block' } }, children)));
    }
}
exports.TagPopover = TagPopover;
