"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultDateTimeConfig = void 0;
const React = require("react");
const getDateTimeField_1 = require("./getDateTimeField");
const getConfigComponent_1 = require("./getConfigComponent");
function getDateTimePreviewComponent(superdesk) {
    const { formatDateTime } = superdesk.localization;
    return class DateTimePreview extends React.PureComponent {
        render() {
            if (this.props.value == null) {
                return null;
            }
            else {
                return React.createElement("div", null, formatDateTime(new Date(this.props.value)));
            }
        }
    };
}
exports.defaultDateTimeConfig = {
    initial_offset_minutes: 0,
    increment_steps: [],
};
const extension = {
    id: 'datetimeField',
    activate: (superdesk) => {
        const gettext = superdesk.localization.gettext;
        const result = {
            contributions: {
                customFieldTypes: [
                    {
                        id: 'datetime',
                        label: gettext('Datetime'),
                        editorComponent: getDateTimeField_1.getDateTimeField(superdesk),
                        previewComponent: getDateTimePreviewComponent(superdesk),
                        configComponent: getConfigComponent_1.getConfigComponent(superdesk),
                    },
                ],
            },
        };
        return Promise.resolve(result);
    },
};
exports.default = extension;
