"use strict";
/* eslint-disable react/no-multi-comp */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfigComponent = void 0;
const React = require("react");
const extension_1 = require("./extension");
const react_1 = require("superdesk-ui-framework/react");
function getConfigComponent(superdesk) {
    const gettext = superdesk.localization.gettext;
    const { Spacer } = superdesk.components;
    return class DateTimeFieldConfig extends React.PureComponent {
        render() {
            var _a;
            const config = (_a = this.props.config) !== null && _a !== void 0 ? _a : extension_1.defaultDateTimeConfig;
            const { onChange } = this.props;
            return (React.createElement(Spacer, { type: "vertical", spacing: "medium" },
                React.createElement("div", null,
                    React.createElement(react_1.FormLabel, { text: gettext('Initial time offset') }),
                    React.createElement(Spacer, { type: "horizontal", spacing: "medium", align: "end" },
                        React.createElement("div", { className: "sd-line-input sd-line-input--no-margin sd-line-input--no-label" },
                            React.createElement("input", { className: "sd-line-input__input", type: "number", value: config.initial_offset_minutes, onChange: (event) => {
                                    onChange(Object.assign(Object.assign({}, config), { initial_offset_minutes: parseInt(event.target.value, 10) }));
                                }, style: { width: 54 } })),
                        gettext('minutes'))),
                React.createElement("div", null,
                    React.createElement(react_1.FormLabel, { text: gettext('Time increment steps') }),
                    config.increment_steps.map((value, i) => (React.createElement(Spacer, { type: "horizontal", spacing: "medium", align: "center", key: i },
                        React.createElement(react_1.IconButton, { icon: "remove-sign", ariaValue: gettext('Remove'), onClick: () => {
                                onChange(Object.assign(Object.assign({}, config), { increment_steps: config.increment_steps.filter((_, _i) => i !== _i) }));
                            } }),
                        React.createElement(Spacer, { type: "horizontal", spacing: "medium", align: "end", key: i },
                            React.createElement("div", { className: "sd-line-input sd-line-input--no-margin sd-line-input--no-label" },
                                React.createElement("input", { className: "sd-line-input__input", type: "number", value: value, onChange: (event) => {
                                        const nextIncrementSteps = config.increment_steps
                                            .map((_value, j) => {
                                            if (j === i) {
                                                return parseInt(event.target.value, 10);
                                            }
                                            else {
                                                return _value;
                                            }
                                        });
                                        onChange(Object.assign(Object.assign({}, config), { increment_steps: nextIncrementSteps }));
                                    }, style: { width: 54 } })),
                            gettext('minutes')))))),
                React.createElement(react_1.Button, { text: gettext('Add step'), size: "small", style: "hollow", onClick: () => {
                        onChange(Object.assign(Object.assign({}, config), { increment_steps: config.increment_steps.concat(0) }));
                    } })));
        }
    };
}
exports.getConfigComponent = getConfigComponent;
