"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const protractor_1 = require("protractor");
const end_to_end_testing_helpers_1 = require("@superdesk/end-to-end-testing-helpers");
describe('mark for user extension', () => {
    it('persists changing marked user from authoring topbar in read-only mode', () => {
        end_to_end_testing_helpers_1.login();
        end_to_end_testing_helpers_1.workspace.navigateTo('Monitoring');
        end_to_end_testing_helpers_1.articleList.executeContextMenuAction(end_to_end_testing_helpers_1.els(['article-item']).get(0), 'Mark for user');
        end_to_end_testing_helpers_1.el(['mark-for-user-modal', 'modal-body', 'select-user-dropdown', 'dropdown-button']).click();
        end_to_end_testing_helpers_1.els(['mark-for-user-modal', 'modal-body', 'select-user-dropdown', 'option']).get(1).click();
        end_to_end_testing_helpers_1.el(['mark-for-user-modal', 'modal-footer', 'confirm']).click();
        // open marked item in read-only mode from "marked for me" dropdown
        protractor_1.browser.wait(end_to_end_testing_helpers_1.ECE.textToBePresentInElement(end_to_end_testing_helpers_1.el(['marked-for-me-dropdown', 'toggle-button', 'badge']), '1'));
        end_to_end_testing_helpers_1.el(['marked-for-me-dropdown', 'toggle-button']).click();
        end_to_end_testing_helpers_1.els(['marked-for-me-dropdown', 'item']).get(0).click();
        expect(end_to_end_testing_helpers_1.el(['authoring-topbar', 'marked-for-user', 'user-avatar']).getAttribute('title')).toBe(Promise.resolve('first name last name'));
        // change marked user
        end_to_end_testing_helpers_1.el(['authoring-topbar', 'marked-for-user', 'user-avatar']).click();
        end_to_end_testing_helpers_1.el(['mark-for-user-modal', 'modal-body', 'select-user-dropdown', 'dropdown-button']).click();
        end_to_end_testing_helpers_1.els(['mark-for-user-modal', 'modal-body', 'select-user-dropdown', 'option']).get(3).click();
        end_to_end_testing_helpers_1.el(['mark-for-user-modal', 'modal-footer', 'confirm']).click();
        protractor_1.browser.sleep(3000); // wait for a network request to finish before reloading the page
        // check if marked user change is persisted after reload
        protractor_1.browser.refresh();
        protractor_1.browser.wait(end_to_end_testing_helpers_1.ECE.presenceOf(end_to_end_testing_helpers_1.el(['authoring-topbar', 'marked-for-user', 'user-avatar'])));
        expect(end_to_end_testing_helpers_1.el(['authoring-topbar', 'marked-for-user', 'user-avatar']).getAttribute('title')).toBe(Promise.resolve('first name2 last name2'));
    });
});
