"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getActionsInitialize = void 0;
const managed_marked_user_1 = require("./managed-marked-user");
const common_1 = require("./common");
function getActionsInitialize(superdesk) {
    const { gettext } = superdesk.localization;
    return function getActions(article) {
        if (!common_1.canChangeMarkedUser(superdesk, article)) {
            return Promise.resolve([]);
        }
        const markForUser = {
            label: gettext('Mark for user'),
            icon: 'icon-assign',
            groupId: 'highlights',
            onTrigger: () => {
                managed_marked_user_1.manageMarkedUserForSingleArticle(superdesk, article);
            },
        };
        const unmark = {
            label: gettext('Unmark user'),
            icon: 'icon-assign',
            groupId: 'highlights',
            onTrigger: () => {
                common_1.updateMarkedUser(superdesk, article, { marked_for_user: null });
            },
        };
        const markForOtherUser = {
            label: gettext('Mark for other user'),
            groupId: 'highlights',
            icon: 'icon-assign',
            onTrigger: () => {
                managed_marked_user_1.manageMarkedUserForSingleArticle(superdesk, article);
            },
        };
        if (article.marked_for_user == null) {
            return Promise.resolve([markForUser]);
        }
        else {
            return Promise.resolve([unmark, markForOtherUser]);
        }
    };
}
exports.getActionsInitialize = getActionsInitialize;
