"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.manageMarkedUserForSingleArticle = void 0;
const get_mark_for_user_modal_1 = require("./get-mark-for-user-modal");
const common_1 = require("./common");
function manageMarkedUserForSingleArticle(superdesk, article) {
    const { isLocked, isLockedInOtherSession } = superdesk.entities.article;
    superdesk.ui.showModal(get_mark_for_user_modal_1.getMarkForUserModal({
        superdesk: superdesk,
        markForUser: (selectedUserId) => {
            common_1.updateMarkedUser(superdesk, article, { marked_for_user: selectedUserId });
        },
        markForUserAndSend: (selectedUserId) => {
            common_1.markForUserAndSendToNextStage(superdesk, article, selectedUserId);
        },
        locked: isLocked(article),
        lockedInOtherSession: isLockedInOtherSession(article),
        markedForUserInitial: article.marked_for_user === null ? undefined : article.marked_for_user,
    }));
}
exports.manageMarkedUserForSingleArticle = manageMarkedUserForSingleArticle;
