"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDisplayMarkedUserComponent = void 0;
const React = require("react");
const managed_marked_user_1 = require("./managed-marked-user");
function getDisplayMarkedUserComponent(superdesk) {
    const { UserAvatar } = superdesk.components;
    const { hasPrivilege } = superdesk.privileges;
    return class DisplayMarkedUser extends React.PureComponent {
        render() {
            if (this.props.article.marked_for_user == null) {
                return null;
            }
            else {
                return (React.createElement("button", { onClick: () => managed_marked_user_1.manageMarkedUserForSingleArticle(superdesk, this.props.article), style: { padding: 0 }, disabled: !hasPrivilege('mark_for_user'), "data-test-id": "marked-for-user" },
                    React.createElement(UserAvatar, { userId: this.props.article.marked_for_user })));
            }
        }
    };
}
exports.getDisplayMarkedUserComponent = getDisplayMarkedUserComponent;
