"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// APIs
var sets_1 = require("./sets");
var storageDestinations_1 = require("./storageDestinations");
function getSamsAPIs(superdesk) {
    return {
        sets: {
            getAll: function () {
                return sets_1.getAllSets(superdesk);
            },
            create: function (set) {
                return sets_1.createSet(superdesk, set);
            },
            update: function (original, updates) {
                return sets_1.updateSet(superdesk, original, updates);
            },
            delete: function (set) {
                return sets_1.deleteSet(superdesk, set);
            },
        },
        storageDestinations: {
            getAll: function () {
                return storageDestinations_1.getAllStorageDestinations(superdesk);
            },
        },
    };
}
exports.getSamsAPIs = getSamsAPIs;
