"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAllStorageDestinations = void 0;
// External Modules
var lodash_1 = require("lodash");
var apis_1 = require("../apis");
// Utils
var api_1 = require("../utils/api");
var RESOURCE = 'sams/destinations';
function getAllStorageDestinations() {
    var gettext = apis_1.superdeskApi.localization.gettext;
    var notify = apis_1.superdeskApi.ui.notify;
    return apis_1.superdeskApi.dataApi.query(RESOURCE, 1, { field: 'name', direction: 'ascending' }, {})
        .then(function (response) {
        var _a;
        return lodash_1.sortBy((_a = response === null || response === void 0 ? void 0 : response._items) !== null && _a !== void 0 ? _a : [], ['_id']);
    })
        .catch(function (error) {
        if (api_1.isSamsApiError(error)) {
            notify.error(api_1.getApiErrorMessage(error));
        }
        else {
            notify.error(gettext('Failed to load all storage destinations'));
        }
        return Promise.reject(error);
    });
}
exports.getAllStorageDestinations = getAllStorageDestinations;
