"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.samsApi = exports.superdeskApi = void 0;
var sets_1 = require("./api/sets");
var storageDestinations_1 = require("./api/storageDestinations");
var assets_1 = require("./api/assets");
// will be set asynchronously on SAMS extension start
// members can't be accessed in root module scope synchronously
exports.superdeskApi = {};
exports.samsApi = {
    sets: {
        getAll: sets_1.getAllSets,
        create: sets_1.createSet,
        update: sets_1.updateSet,
        delete: sets_1.deleteSet,
    },
    storageDestinations: {
        getAll: storageDestinations_1.getAllStorageDestinations,
    },
    assets: {
        upload: assets_1.uploadAsset,
        update: assets_1.updateAsset,
        query: assets_1.queryAssets,
        getSearchUrlParams: assets_1.getAssetSearchUrlParams,
        setSearchUrlParams: assets_1.setAssetSearchUrlParams,
        getCount: assets_1.getAssetsCount,
        getById: assets_1.getAssetById,
        getByIds: assets_1.getAssetsByIds,
        updateMetadata: assets_1.updateAssetMetadata,
        showUploadModal: assets_1.showUploadAssetModal,
        getCompressedBinary: assets_1.getAssetsCompressedBinary,
        getAssetBinary: assets_1.getAssetBinary,
        deleteAsset: assets_1.deleteAsset,
        lockAsset: assets_1.lockAsset,
        unlockAsset: assets_1.unlockAsset,
    },
};
