"use strict";
/* eslint-disable react/no-multi-comp */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SamsAttachmentsWidget = void 0;
// External Modules
var React = __importStar(require("react"));
var classnames_1 = __importDefault(require("classnames"));
var react_redux_1 = require("react-redux");
var interfaces_1 = require("../interfaces");
var apis_1 = require("../apis");
// Redux Actions & Selectors
var actions_1 = require("../store/storageDestinations/actions");
var actions_2 = require("../store/sets/actions");
var actions_3 = require("../store/assets/actions");
var selectors_1 = require("../store/sets/selectors");
// UI
var react_1 = require("superdesk-ui-framework/react");
var samsApp_1 = require("./samsApp");
var samsAttachmentsList_1 = require("../components/attachments/samsAttachmentsList");
var editAttachmentModal_1 = require("../components/attachments/editAttachmentModal");
var selectAssetModal_1 = require("../components/assets/selectAssetModal");
var SamsAttachmentsWidget = /** @class */ (function (_super) {
    __extends(SamsAttachmentsWidget, _super);
    function SamsAttachmentsWidget() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SamsAttachmentsWidget.prototype.onStoreInit = function (store) {
        return Promise.all([
            store.dispatch(actions_1.loadStorageDestinations()),
            store.dispatch(actions_2.loadSets()),
        ]);
    };
    SamsAttachmentsWidget.prototype.render = function () {
        return (React.createElement(samsApp_1.SamsApp, { onStoreInit: this.onStoreInit },
            React.createElement(SamsAttachmentsWidgetComponentConnected, __assign({}, this.props))));
    };
    return SamsAttachmentsWidget;
}(React.PureComponent));
exports.SamsAttachmentsWidget = SamsAttachmentsWidget;
var mapStateToProps = function (state) { return ({
    activeSets: selectors_1.getActiveSets(state),
    setsById: selectors_1.getSetsById(state),
}); };
var mapDispatchToProps = function (dispatch) { return ({
    setAssetSearchParams: function (params) { return dispatch(actions_3.setAssetSearchParams(params)); },
}); };
var SamsAttachmentsWidgetComponent = /** @class */ (function (_super) {
    __extends(SamsAttachmentsWidgetComponent, _super);
    function SamsAttachmentsWidgetComponent(props) {
        var _this = _super.call(this, props) || this;
        _this.fileInputNode = React.createRef();
        _this.onAddFiles = _this.onAddFiles.bind(_this);
        _this.onDragFiles = _this.onDragFiles.bind(_this);
        _this.onDropFiles = _this.onDropFiles.bind(_this);
        _this.showUploadAssetModal = _this.showUploadAssetModal.bind(_this);
        _this.showEditAssetModal = _this.showEditAssetModal.bind(_this);
        _this.showSelectAssetModal = _this.showSelectAssetModal.bind(_this);
        return _this;
    }
    SamsAttachmentsWidgetComponent.prototype.onAddFiles = function (event) {
        event.preventDefault();
    };
    SamsAttachmentsWidgetComponent.prototype.onDragFiles = function (event) {
        // Prevents Browser default action, such as open in new tab
        event.preventDefault();
    };
    SamsAttachmentsWidgetComponent.prototype.showUploadAssetModal = function (props) {
        var _this = this;
        if (props === void 0) { props = {}; }
        return apis_1.samsApi.assets.showUploadModal(__assign({ onAssetUploaded: function (asset) {
                return apis_1.superdeskApi.entities.attachment.create({
                    media: asset._id,
                    title: asset.name,
                    description: asset.description,
                    internal: asset.state !== interfaces_1.ASSET_STATE.PUBLIC,
                })
                    .then(function (attachment) {
                    _this.props.addAttachments([attachment]);
                });
            } }, props));
    };
    SamsAttachmentsWidgetComponent.prototype.showEditAssetModal = function (attachment) {
        var _this = this;
        editAttachmentModal_1.showEditAttachmentModal(attachment)
            .then(function (_a) {
            var updatedAttachment = _a[0], _updatedAsset = _a[1];
            _this.props.updateAttachment(updatedAttachment);
        });
    };
    SamsAttachmentsWidgetComponent.prototype.showSelectAssetModal = function () {
        var _this = this;
        this.props.setAssetSearchParams({
            sizeTo: apis_1.superdeskApi.instance.config.attachments_max_size / 1048576,
            states: [interfaces_1.ASSET_STATE.PUBLIC, interfaces_1.ASSET_STATE.INTERNAL],
            setIds: this.props.activeSets.map(function (set) { return set._id; }),
        });
        selectAssetModal_1.showSelectAssetModal()
            .then(function (selectedAssets) {
            Promise.all(Object.keys(selectedAssets).map(function (assetId) {
                var asset = selectedAssets[assetId];
                return apis_1.superdeskApi.entities.attachment.create({
                    media: asset._id,
                    title: asset.name,
                    description: asset.description,
                    internal: asset.state !== interfaces_1.ASSET_STATE.PUBLIC,
                });
            }))
                .then(function (attachments) {
                _this.props.addAttachments(attachments);
            });
        });
    };
    SamsAttachmentsWidgetComponent.prototype.onDropFiles = function (event) {
        event.preventDefault();
        if (!this.props.isUploadValid(Array.from(event.dataTransfer.files))) {
            return;
        }
        this.showUploadAssetModal({
            initialFiles: Array.from(event.dataTransfer.files)
                .map(function (file) { return ({
                id: Math.random().toString(36).substr(1),
                file: file,
            }); }),
        });
    };
    SamsAttachmentsWidgetComponent.prototype.render = function () {
        var _this = this;
        var _a;
        var gettext = apis_1.superdeskApi.localization.gettext;
        var download = apis_1.superdeskApi.entities.attachment.download;
        var containerClasses = classnames_1.default({
            'widget-content__main': this.props.isWidget === true,
            'sd-padding--2': this.props.isWidget === true,
        });
        return (React.createElement(React.Fragment, null,
            React.createElement("div", { className: containerClasses, onDragOver: this.onDragFiles, onDragEnter: this.onDragFiles, onDrop: this.onDropFiles },
                React.createElement(samsAttachmentsList_1.SamsAttachmentsList, { files: this.props.attachments, sets: this.props.setsById, readOnly: (_a = this.props.readOnly) !== null && _a !== void 0 ? _a : false, editFile: this.showEditAssetModal, download: download, removeFile: this.props.removeAttachment })),
            React.createElement("div", { className: "widget-content__footer", onDragOver: this.onDragFiles, onDrop: this.onDropFiles },
                this.props.isWidget === true ? (React.createElement("div", { className: "form__row" },
                    React.createElement("div", { className: "basic-drag-block" },
                        React.createElement("i", { className: "big-icon--upload-alt" }),
                        (this.props.readOnly || this.props.editable === false) ? null : (React.createElement(React.Fragment, null,
                            React.createElement("span", { className: "basic-drag-block__text" }, gettext('Drag files here or')),
                            React.createElement("a", { className: "text-link link", onClick: function () { return _this.showUploadAssetModal(); } },
                                "\u00A0",
                                gettext('browse')),
                            React.createElement("div", null,
                                React.createElement(react_1.Button, { text: gettext('Or select an existing asset'), onClick: this.showSelectAssetModal, style: "hollow" }))))))) : (React.createElement("div", { className: "form__row" },
                    React.createElement("div", { className: "basic-drag-block" },
                        React.createElement("i", { className: "big-icon--upload-alt" }),
                        (this.props.readOnly || this.props.editable === false) ? null : (React.createElement(React.Fragment, null,
                            React.createElement("div", null,
                                React.createElement("span", { className: "basic-drag-block__text" }, gettext('Drag files here or')),
                                React.createElement("a", { className: "text-link link", onClick: function () { return _this.showUploadAssetModal(); } },
                                    "\u00A0",
                                    gettext('browse'))),
                            React.createElement("div", null,
                                React.createElement(react_1.Button, { text: gettext('Or select an existing asset'), onClick: this.showSelectAssetModal, style: "hollow" }))))))),
                React.createElement("input", { type: "file", ref: this.fileInputNode, onChange: this.onAddFiles, multiple: true, style: { visibility: 'hidden' } }))));
    };
    return SamsAttachmentsWidgetComponent;
}(React.PureComponent));
var SamsAttachmentsWidgetComponentConnected = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(SamsAttachmentsWidgetComponent);
