"use strict";
/* eslint-disable react/no-multi-comp */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SamsWorkspace = exports.SamsWorkspaceComponent = exports.SamsWorkspaceApp = exports.downloadAssetBinary = void 0;
// External Modules
var React = __importStar(require("react"));
var react_redux_1 = require("react-redux");
// Types
var interfaces_1 = require("../interfaces");
var apis_1 = require("../apis");
// Redux Actions & Selectors
var actions_1 = require("../store/storageDestinations/actions");
var actions_2 = require("../store/sets/actions");
var actions_3 = require("../store/assets/actions");
var selectors_1 = require("../store/assets/selectors");
var actions_4 = require("../store/workspace/actions");
var selectors_2 = require("../store/workspace/selectors");
// UI
var ui_1 = require("../ui");
var samsApp_1 = require("./samsApp");
var PageLayout_1 = require("../containers/PageLayout");
var assetListPanel_1 = require("../components/assets/assetListPanel");
var assetFilterPanel_1 = require("../components/assets/assetFilterPanel");
var workspaceSubnav_1 = require("../components/workspaceSubnav");
var assetPreviewPanel_1 = require("../components/assets/assetPreviewPanel");
var assetEditorPanel_1 = require("../components/assets/assetEditorPanel");
var mapStateToProps = function (state) { return ({
    assets: selectors_1.getAssetSearchResults(state),
    totalAssets: selectors_1.getAssetListTotal(state),
    listStyle: selectors_1.getAssetListStyle(state),
    searchParams: selectors_1.getAssetSearchParams(state),
    filterPanelOpen: selectors_2.isFilterPanelOpen(state),
    selectedAssetId: selectors_1.getSelectedAssetId(state),
    selectedAssetIds: selectors_1.getSelectedAssetIds(state),
    selectedAssets: selectors_1.getSelectedAssetItems(state),
    contentPanelState: selectors_1.getSetContentPanelState(state),
}); };
var mapDispatchToProps = function (dispatch) { return ({
    loadNextPage: function () { return dispatch(actions_3.loadNextAssetsPage()); },
    setListStyle: function (style) { return dispatch(actions_3.setAssetListStyle(style)); },
    queryAssetsFromCurrentSearch: function (listAction) { return dispatch(actions_3.queryAssetsFromCurrentSearch(listAction)); },
    updateAssetSearchParamsAndListItems: function (params, listAction) {
        return dispatch(actions_3.updateAssetSearchParamsAndListItems(params, listAction));
    },
    toggleFilterPanel: function () { return dispatch(actions_4.toggleFilterPanelState()); },
    previewAsset: function (asset) { return dispatch(actions_3.previewAsset(asset._id)); },
    updateSelectedAssetIds: function (asset) { return dispatch(actions_3.updateSelectedAssetIds(asset._id)); },
    onEditAsset: function (asset) { return dispatch(actions_3.onEditAsset(asset)); },
    deleteAsset: function (asset) { return dispatch(actions_3.deleteAssets(asset)); },
    forceUnlockAsset: function (asset) { return dispatch(actions_3.forceUnlockAsset(asset)); },
}); };
function downloadAssetBinary(asset) {
    apis_1.samsApi.assets.getAssetBinary(asset);
}
exports.downloadAssetBinary = downloadAssetBinary;
var SamsWorkspaceApp = /** @class */ (function (_super) {
    __extends(SamsWorkspaceApp, _super);
    function SamsWorkspaceApp() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SamsWorkspaceApp.prototype.onStoreInit = function (store) {
        return Promise.all([
            store.dispatch(actions_1.loadStorageDestinations()),
            store.dispatch(actions_2.loadSets()),
            store.dispatch(actions_3.updateAssetSearchParamsAndListItemsFromURL(interfaces_1.LIST_ACTION.REPLACE))
                .catch(function () {
                // Catch errors here so `Promise.all` still returns on fetching error
                // This can happen when invalid search params are stored in the URL
                return Promise.resolve();
            }),
        ]);
    };
    SamsWorkspaceApp.prototype.render = function () {
        return (React.createElement(samsApp_1.SamsApp, { onStoreInit: this.onStoreInit },
            React.createElement(exports.SamsWorkspace, null)));
    };
    return SamsWorkspaceApp;
}(React.PureComponent));
exports.SamsWorkspaceApp = SamsWorkspaceApp;
var SamsWorkspaceComponent = /** @class */ (function (_super) {
    __extends(SamsWorkspaceComponent, _super);
    function SamsWorkspaceComponent(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            nextPageLoading: false,
        };
        _this.onScroll = _this.onScroll.bind(_this);
        _this.toggleListStyle = _this.toggleListStyle.bind(_this);
        _this.onDownloadSingleAssetCompressedBinary = _this.onDownloadSingleAssetCompressedBinary.bind(_this);
        _this.onMultiActionBar = _this.onMultiActionBar.bind(_this);
        _this.onDeleteAsset = _this.onDeleteAsset.bind(_this);
        _this.onEditAsset = _this.onEditAsset.bind(_this);
        return _this;
    }
    SamsWorkspaceComponent.prototype.onDeleteAsset = function (asset) {
        this.props.deleteAsset(asset);
    };
    SamsWorkspaceComponent.prototype.onEditAsset = function (asset) {
        this.props.onEditAsset(asset);
    };
    SamsWorkspaceComponent.prototype.onDownloadSingleAssetCompressedBinary = function (asset) {
        downloadAssetBinary(asset);
    };
    SamsWorkspaceComponent.prototype.onMultiActionBar = function (asset) {
        this.props.updateSelectedAssetIds(asset);
    };
    SamsWorkspaceComponent.prototype.onScroll = function (event) {
        var _this = this;
        var node = event.currentTarget;
        if (node != null &&
            this.state.nextPageLoading === false &&
            this.props.totalAssets > this.props.assets.length &&
            node.scrollTop + node.offsetHeight + 200 >= node.scrollHeight) {
            this.setState({ nextPageLoading: true });
            this.props.loadNextPage().finally(function () {
                _this.setState({ nextPageLoading: false });
            });
        }
    };
    SamsWorkspaceComponent.prototype.toggleListStyle = function () {
        this.props.setListStyle(this.props.listStyle === interfaces_1.ASSET_LIST_STYLE.GRID ?
            interfaces_1.ASSET_LIST_STYLE.LIST :
            interfaces_1.ASSET_LIST_STYLE.GRID);
        this.props.queryAssetsFromCurrentSearch(interfaces_1.LIST_ACTION.REPLACE);
    };
    SamsWorkspaceComponent.prototype.getContentPanelComponent = function () {
        if (this.props.contentPanelState === interfaces_1.ASSET_CONTENT_PANEL_STATE.PREVIEW) {
            return assetPreviewPanel_1.AssetPreviewPanel;
        }
        else if (this.props.contentPanelState === interfaces_1.ASSET_CONTENT_PANEL_STATE.CREATE ||
            this.props.contentPanelState === interfaces_1.ASSET_CONTENT_PANEL_STATE.EDIT) {
            return assetEditorPanel_1.AssetEditorPanel;
        }
        return null;
    };
    SamsWorkspaceComponent.prototype.render = function () {
        var ContentPanel = this.getContentPanelComponent();
        var actions = [{
                action: interfaces_1.ASSET_ACTIONS.EDIT,
                onSelect: this.onEditAsset,
            },
            {
                action: interfaces_1.ASSET_ACTIONS.DOWNLOAD,
                onSelect: this.onDownloadSingleAssetCompressedBinary,
            },
            {
                action: interfaces_1.ASSET_ACTIONS.PREVIEW,
                onSelect: this.props.previewAsset,
            },
            {
                action: interfaces_1.ASSET_ACTIONS.DELETE,
                onSelect: this.onDeleteAsset,
            },
        ];
        if (apis_1.superdeskApi.privileges.hasPrivilege('sams_manage_assets')) {
            actions.push({
                action: interfaces_1.ASSET_ACTIONS.FORCE_UNLOCK,
                onSelect: this.props.forceUnlockAsset,
            });
        }
        return (React.createElement("div", { className: "sd-page" },
            React.createElement(PageLayout_1.PageLayout, { header: (React.createElement(workspaceSubnav_1.WorkspaceSubnav, null)), leftPanelOpen: this.props.filterPanelOpen, leftPanel: (this.props.filterPanelOpen === false ? (React.createElement("div", null)) : (React.createElement(assetFilterPanel_1.AssetFilterPanel, { searchParams: this.props.searchParams, closeFilterPanel: this.props.toggleFilterPanel, updateAssetSearchParamsAndListItems: this.props.updateAssetSearchParamsAndListItems }))), rightPanelOpen: ContentPanel != null, rightPanel: ContentPanel == null ? (React.createElement("div", null)) : (React.createElement(ui_1.PanelContent, null,
                    React.createElement(ContentPanel, { key: this.props.selectedAssetId }))), mainClassName: "sd-padding--2", mainProps: { onScroll: this.onScroll }, main: (React.createElement(assetListPanel_1.AssetListPanel, { assets: this.props.assets, listStyle: this.props.listStyle, selectedItems: this.props.selectedAssetId == null ?
                        [] :
                        [this.props.selectedAssetId], onItemClicked: this.props.previewAsset, onItemDoubleClicked: this.onEditAsset, selectedAssetIds: this.props.selectedAssetIds, updateSelectedAssetIds: this.onMultiActionBar, actions: actions })) })));
    };
    return SamsWorkspaceComponent;
}(React.Component));
exports.SamsWorkspaceComponent = SamsWorkspaceComponent;
exports.SamsWorkspace = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(SamsWorkspaceComponent);
