"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssetEditor = void 0;
// External modules
var React = __importStar(require("react"));
var react_redux_1 = require("react-redux");
// Types
var interfaces_1 = require("../../interfaces");
var apis_1 = require("../../apis");
// Redux Actions & Selectors
var selectors_1 = require("../../store/sets/selectors");
// UI
var react_1 = require("superdesk-ui-framework/react");
var ui_1 = require("../../ui");
// Utils
var ui_2 = require("../../utils/ui");
var mapStateToProps = function (state) { return ({
    sets: selectors_1.getActiveSets(state),
}); };
var AssetEditorComponent = /** @class */ (function (_super) {
    __extends(AssetEditorComponent, _super);
    function AssetEditorComponent(props) {
        var _this = _super.call(this, props) || this;
        _this.onChange = {
            name: function (value) { return _this.props.onChange('name', value.trim()); },
            description: function (value) { return _this.props.onChange('description', value.trim()); },
            filename: function (value) { return _this.props.onChange('filename', value.trim()); },
            state: function (value) { return _this.props.onChange('state', value); },
            set_id: function (value) { return _this.props.onChange('set_id', value); },
        };
        return _this;
    }
    AssetEditorComponent.prototype.fieldEnabled = function (field) {
        return (this.props.fields == null || this.props.fields.includes(field)) ?
            true :
            null;
    };
    AssetEditorComponent.prototype.render = function () {
        var gettext = apis_1.superdeskApi.localization.gettext;
        return (React.createElement(React.Fragment, null,
            React.createElement(ui_1.FormGroup, null,
                React.createElement(ui_1.FormRow, null,
                    React.createElement(react_1.FormLabel, { text: gettext('Filename:') }),
                    React.createElement("span", null, this.props.asset.filename))),
            React.createElement(ui_1.FormGroup, null,
                React.createElement(ui_1.FormRow, null,
                    React.createElement(react_1.FormLabel, { text: gettext('Type:') }),
                    React.createElement("span", null, this.props.asset.mimetype)),
                React.createElement(ui_1.FormRow, null,
                    React.createElement(react_1.FormLabel, { text: gettext('Size:') }),
                    React.createElement("span", null, this.props.asset.length && ui_2.getHumanReadableFileSize(this.props.asset.length)))),
            this.fieldEnabled('name') && (React.createElement(ui_1.FormGroup, null,
                React.createElement(ui_1.FormRow, null,
                    React.createElement(react_1.Input, { label: gettext('Name'), required: true, value: this.props.asset.name, onChange: this.onChange.name, disabled: this.props.disabled === true })))),
            this.fieldEnabled('description') && (React.createElement(ui_1.FormGroup, null,
                React.createElement(ui_1.FormRow, null,
                    React.createElement(react_1.Input, { label: gettext('Description'), value: this.props.asset.description, onChange: this.onChange.description, disabled: this.props.disabled === true })))),
            this.fieldEnabled('state') && (React.createElement(ui_1.FormGroup, null,
                React.createElement(ui_1.FormRow, null,
                    React.createElement(react_1.Select, { label: gettext('State'), value: this.props.asset.state, required: true, onChange: this.onChange.state, disabled: this.props.disabled === true },
                        React.createElement(react_1.Option, { value: interfaces_1.ASSET_STATE.DRAFT }, gettext('Draft')),
                        React.createElement(react_1.Option, { value: interfaces_1.ASSET_STATE.INTERNAL }, gettext('Internal')),
                        React.createElement(react_1.Option, { value: interfaces_1.ASSET_STATE.PUBLIC }, gettext('Public')))))),
            this.fieldEnabled('set_id') && (React.createElement(ui_1.FormGroup, null,
                React.createElement(ui_1.FormRow, null,
                    React.createElement(react_1.Select, { label: gettext('Set'), value: this.props.asset.set_id, required: true, onChange: this.onChange.set_id, disabled: this.props.disabled === true }, this.props.sets.map(function (set) { return (React.createElement(react_1.Option, { key: set._id, value: set._id }, set.name)); })))))));
    };
    return AssetEditorComponent;
}(React.PureComponent));
exports.AssetEditor = react_redux_1.connect(mapStateToProps)(AssetEditorComponent);
