"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssetEditorPanel = exports.AssetEditorPanelComponent = void 0;
// External modules
var React = __importStar(require("react"));
var react_redux_1 = require("react-redux");
var lodash_1 = require("lodash");
var apis_1 = require("../../apis");
// Redux Actions & Selectors
var actions_1 = require("../../store/assets/actions");
var selectors_1 = require("../../store/assets/selectors");
// UI
var react_1 = require("superdesk-ui-framework/react");
var ui_1 = require("../../ui");
var assetEditor_1 = require("./assetEditor");
var versionUserDateLines_1 = require("../common/versionUserDateLines");
var mapStateToProps = function (state) { return ({
    original: selectors_1.getSelectedAsset(state),
}); };
var mapDispatchToProps = function (dispatch) { return ({
    previewAsset: function (asset) { return dispatch(actions_1.previewAsset(asset._id)); },
    updateAsset: function (original, updates) { return dispatch(actions_1.updateAsset(original, updates)); },
    unlockAsset: function (asset) { return dispatch(actions_1.unlockAsset(asset)); },
}); };
var AssetEditorPanelComponent = /** @class */ (function (_super) {
    __extends(AssetEditorPanelComponent, _super);
    function AssetEditorPanelComponent(props) {
        var _a;
        var _this = _super.call(this, props) || this;
        if (((_a = _this.props.original) === null || _a === void 0 ? void 0 : _a._id) == null) {
            _this.state = {
                updates: {},
                isDirty: true,
                submitting: false,
            };
        }
        else {
            _this.state = {
                updates: lodash_1.cloneDeep(_this.props.original),
                isDirty: false,
                submitting: false,
            };
        }
        _this.onChange = _this.onChange.bind(_this);
        _this.onSave = _this.onSave.bind(_this);
        _this.onCancel = _this.onCancel.bind(_this);
        return _this;
    }
    AssetEditorPanelComponent.prototype.onChange = function (field, value) {
        this.setState(function (prevState) {
            var _a;
            return ({
                updates: __assign(__assign({}, prevState.updates), (_a = {}, _a[field] = value, _a)),
                isDirty: true,
            });
        });
    };
    AssetEditorPanelComponent.prototype.onSave = function () {
        var _this = this;
        this.setState({ submitting: true });
        if (this.props.original != null) {
            var promise = this.props.updateAsset(this.props.original, this.state.updates);
            promise
                .then(function (asset) {
                // If the submission was completed successfully
                // then close the editor and open the preview
                _this.props.unlockAsset(asset)
                    .then(function () {
                    _this.props.previewAsset(asset);
                });
            })
                .catch(function () {
                // If there was an error submitting the request
                // then re-enable the 'SAVE'|'CREATE' button
                _this.setState({ submitting: false });
            });
        }
    };
    AssetEditorPanelComponent.prototype.onCancel = function () {
        var _this = this;
        this.props.unlockAsset(this.props.original)
            .then(function () {
            if (_this.props.original != null) {
                _this.props.previewAsset(_this.props.original);
            }
        });
    };
    AssetEditorPanelComponent.prototype.render = function () {
        var _a;
        var gettext = apis_1.superdeskApi.localization.gettext;
        return (React.createElement(React.Fragment, null,
            React.createElement(ui_1.PanelHeader, { borderB: true },
                React.createElement(ui_1.PanelHeaderSlidingToolbar, null,
                    React.createElement(react_1.ButtonGroup, { align: "right" },
                        React.createElement(react_1.Button, { text: gettext('Cancel'), style: "hollow", onClick: this.onCancel, disabled: this.state.submitting }),
                        React.createElement(react_1.Button, { text: gettext('Save'), type: "primary", disabled: !this.state.isDirty || this.state.submitting, onClick: this.onSave })))),
            this.props.original == null ? null : (React.createElement(ui_1.PanelContentBlock, { flex: true },
                React.createElement(ui_1.PanelContentBlockInner, { grow: true },
                    React.createElement(versionUserDateLines_1.VersionUserDateLines, { item: this.props.original })))),
            React.createElement(ui_1.PanelContentBlock, { flex: true },
                React.createElement(ui_1.PanelContentBlockInner, { grow: true },
                    React.createElement(assetEditor_1.AssetEditor, { key: (_a = this.props.original) === null || _a === void 0 ? void 0 : _a._id, asset: this.props.original, onChange: this.onChange, fields: [
                            'name',
                            'description',
                            'state',
                        ] })))));
    };
    return AssetEditorPanelComponent;
}(React.PureComponent));
exports.AssetEditorPanelComponent = AssetEditorPanelComponent;
exports.AssetEditorPanel = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(AssetEditorPanelComponent);
