"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssetFilterPanel = void 0;
// External Modules
var React = __importStar(require("react"));
// Types
var interfaces_1 = require("../../interfaces");
var apis_1 = require("../../apis");
// UI
var react_1 = require("superdesk-ui-framework/react");
var ui_1 = require("../../ui");
var AssetFilterPanel = /** @class */ (function (_super) {
    __extends(AssetFilterPanel, _super);
    function AssetFilterPanel(props) {
        var _this = _super.call(this, props) || this;
        var _a = apis_1.superdeskApi.helpers, stringToNumber = _a.stringToNumber, filterKeys = _a.filterKeys;
        _this.state = {
            localSearchParams: filterKeys(_this.props.searchParams, [
                'name',
                'filename',
                'description',
                'state',
                'sizeFrom',
                'sizeTo',
                'dateFrom',
                'dateTo',
            ]),
            formId: Math.random().toString(36).substr(1),
        };
        _this.clearSearch = _this.clearSearch.bind(_this);
        _this.submitSearch = _this.submitSearch.bind(_this);
        _this.onKeyDown = _this.onKeyDown.bind(_this);
        _this.datePickerLocale = apis_1.superdeskApi.ui.framework.getLocaleForDatePicker();
        _this.onChange = {
            name: function (value) { return _this.setLocalAssetSearchParams({ name: value }); },
            filename: function (value) { return _this.setLocalAssetSearchParams({ filename: value }); },
            description: function (value) { return _this.setLocalAssetSearchParams({ description: value }); },
            state: function (value) { return _this.setLocalAssetSearchParams({ state: value }); },
            sizeFrom: function (value) { return _this.setLocalAssetSearchParams({ sizeFrom: stringToNumber(value) }); },
            sizeTo: function (value) { return _this.setLocalAssetSearchParams({ sizeTo: stringToNumber(value) }); },
            dateFrom: function (value) { return _this.setLocalAssetSearchParams({ dateFrom: value }); },
            dateTo: function (value) { return _this.setLocalAssetSearchParams({ dateTo: value }); },
        };
        return _this;
    }
    AssetFilterPanel.prototype.setLocalAssetSearchParams = function (updates) {
        this.setState(function (state) { return ({
            localSearchParams: __assign(__assign({}, state.localSearchParams), updates),
        }); });
    };
    AssetFilterPanel.prototype.clearSearch = function () {
        var emptyFilters = {
            name: undefined,
            filename: undefined,
            description: undefined,
            state: undefined,
            sizeFrom: undefined,
            sizeTo: undefined,
            dateFrom: undefined,
            dateTo: undefined,
        };
        this.setState({
            localSearchParams: emptyFilters,
            formId: Math.random().toString(36).substr(1),
        });
        this.props.updateAssetSearchParamsAndListItems(emptyFilters, interfaces_1.LIST_ACTION.REPLACE);
    };
    AssetFilterPanel.prototype.submitSearch = function () {
        this.props.updateAssetSearchParamsAndListItems(this.state.localSearchParams, interfaces_1.LIST_ACTION.REPLACE);
    };
    AssetFilterPanel.prototype.onKeyDown = function (event) {
        if (event.key === 'Enter') {
            event.preventDefault();
            this.submitSearch();
        }
    };
    AssetFilterPanel.prototype.getSizeOptions = function () {
        var gettext = apis_1.superdeskApi.localization.gettext;
        return (React.createElement(React.Fragment, null,
            React.createElement(react_1.Option, null),
            React.createElement(react_1.Option, { value: '1' }, gettext('1MB')),
            React.createElement(react_1.Option, { value: '5' }, gettext('5MB')),
            React.createElement(react_1.Option, { value: '10' }, gettext('10MB')),
            React.createElement(react_1.Option, { value: '25' }, gettext('25MB')),
            React.createElement(react_1.Option, { value: '50' }, gettext('50MB')),
            React.createElement(react_1.Option, { value: '100' }, gettext('100MB')),
            React.createElement(react_1.Option, { value: '250' }, gettext('250MB')),
            React.createElement(react_1.Option, { value: '500' }, gettext('500MB')),
            React.createElement(react_1.Option, { value: '1024' }, gettext('1GB'))));
    };
    AssetFilterPanel.prototype.render = function () {
        var _a, _b, _c, _d;
        var gettext = apis_1.superdeskApi.localization.gettext;
        var config = apis_1.superdeskApi.instance.config;
        var numberToString = apis_1.superdeskApi.helpers.numberToString;
        var sizeOptions = this.getSizeOptions();
        var sizeValues = [1, 5, 10, 25, 50, 100, 250, 500, 1024];
        return (React.createElement(React.Fragment, null,
            React.createElement(ui_1.PanelHeader, { title: gettext('Advanced Search'), onClose: this.props.closeFilterPanel, borderB: true }),
            React.createElement(ui_1.PanelContent, null,
                React.createElement(ui_1.PanelContentBlock, null,
                    React.createElement("form", { onKeyDown: this.onKeyDown, key: this.state.formId },
                        React.createElement(ui_1.FormGroup, null,
                            React.createElement(ui_1.FormItem, null,
                                React.createElement(react_1.Input, { label: gettext('Name'), value: this.state.localSearchParams.name, onChange: this.onChange.name }))),
                        React.createElement(ui_1.FormGroup, null,
                            React.createElement(ui_1.FormItem, null,
                                React.createElement(react_1.Input, { label: gettext('Filename'), value: this.state.localSearchParams.filename, onChange: this.onChange.filename }))),
                        React.createElement(ui_1.FormGroup, null,
                            React.createElement(ui_1.FormItem, null,
                                React.createElement(react_1.Input, { label: gettext('Description'), value: this.state.localSearchParams.description, onChange: this.onChange.description }))),
                        React.createElement(ui_1.FormGroup, null,
                            React.createElement(ui_1.FormRow, null,
                                React.createElement(react_1.Select, { label: gettext('State'), value: this.state.localSearchParams.state, onChange: this.onChange.state },
                                    React.createElement(react_1.Option, null),
                                    React.createElement(react_1.Option, { value: interfaces_1.ASSET_STATE.DRAFT }, gettext('Draft')),
                                    React.createElement(react_1.Option, { value: interfaces_1.ASSET_STATE.INTERNAL }, gettext('Internal')),
                                    React.createElement(react_1.Option, { value: interfaces_1.ASSET_STATE.PUBLIC }, gettext('Public'))))),
                        React.createElement(ui_1.FormGroup, null,
                            React.createElement(ui_1.FormItem, null,
                                React.createElement(react_1.Select, { label: gettext('Size From:'), value: numberToString(this.state.localSearchParams.sizeFrom), onChange: this.onChange.sizeFrom },
                                    sizeValues.includes((_a = this.state.localSearchParams.sizeFrom) !== null && _a !== void 0 ? _a : 1) ? null : (React.createElement(react_1.Option, { value: numberToString(this.state.localSearchParams.sizeFrom) }, numberToString(this.state.localSearchParams.sizeFrom))),
                                    sizeOptions)),
                            React.createElement(ui_1.FormItem, null,
                                React.createElement(react_1.Select, { label: gettext('Size To:'), value: numberToString(this.state.localSearchParams.sizeTo), onChange: this.onChange.sizeTo },
                                    sizeValues.includes((_b = this.state.localSearchParams.sizeTo) !== null && _b !== void 0 ? _b : 1) ? null : (React.createElement(react_1.Option, { value: numberToString(this.state.localSearchParams.sizeTo) }, numberToString(this.state.localSearchParams.sizeTo))),
                                    sizeOptions))),
                        React.createElement(ui_1.FormGroup, null,
                            React.createElement(ui_1.FormItem, null,
                                React.createElement(react_1.FormLabel, { text: gettext('Uploaded From:') }),
                                React.createElement(react_1.DatePicker, { value: (_c = this.state.localSearchParams.dateFrom) !== null && _c !== void 0 ? _c : null, onChange: this.onChange.dateFrom, dateFormat: config.view.dateformat, locale: this.datePickerLocale })),
                            React.createElement(ui_1.FormItem, null,
                                React.createElement(react_1.FormLabel, { text: gettext('Uploaded To:') }),
                                React.createElement(react_1.DatePicker, { value: (_d = this.state.localSearchParams.dateTo) !== null && _d !== void 0 ? _d : null, onChange: this.onChange.dateTo, dateFormat: config.view.dateformat, locale: this.datePickerLocale })))))),
            React.createElement(ui_1.PanelFooter, null,
                React.createElement(react_1.Button, { text: gettext('Clear'), style: "hollow", onClick: this.clearSearch }),
                React.createElement(react_1.Button, { text: gettext('Submit'), type: "primary", onClick: this.submitSearch }))));
    };
    return AssetFilterPanel;
}(React.PureComponent));
exports.AssetFilterPanel = AssetFilterPanel;
