"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssetGridItem = void 0;
// External modules
var React = __importStar(require("react"));
var apis_1 = require("../../apis");
// UI
var react_1 = require("superdesk-ui-framework/react");
var GridItem_1 = require("../../ui/grid/GridItem");
var GridItemFooter_1 = require("../../ui/grid/GridItemFooter");
var GridItemFooterBlock_1 = require("../../ui/grid/GridItemFooterBlock");
var GritItemThumb_1 = require("../../ui/grid/GritItemThumb");
var GridItemContent_1 = require("../../ui/grid/GridItemContent");
var GridItemProgressCircle_1 = require("../../ui/grid/GridItemProgressCircle");
// Utils
var ui_1 = require("../../utils/ui");
var assets_1 = require("../../utils/assets");
var AssetGridItem = /** @class */ (function (_super) {
    __extends(AssetGridItem, _super);
    function AssetGridItem(props) {
        var _this = _super.call(this, props) || this;
        _this.onRemove = _this.onRemove.bind(_this);
        _this.onItemClick = _this.onItemClick.bind(_this);
        _this.onItemDoubleClick = _this.onItemDoubleClick.bind(_this);
        _this.onCheckboxClick = _this.onCheckboxClick.bind(_this);
        _this.toggleSelected = _this.toggleSelected.bind(_this);
        return _this;
    }
    AssetGridItem.prototype.onRemove = function (event) {
        if (this.props.remove != null) {
            event.stopPropagation();
            this.props.remove();
        }
    };
    AssetGridItem.prototype.onItemClick = function () {
        this.props.onClick(this.props.asset);
    };
    AssetGridItem.prototype.onItemDoubleClick = function () {
        if (this.props.onDoubleClick != null) {
            this.props.onDoubleClick(this.props.asset);
        }
    };
    AssetGridItem.prototype.toggleSelected = function () {
        if (this.props.toggleSelected != null) {
            this.props.toggleSelected(this.props.asset);
        }
    };
    AssetGridItem.prototype.stopClickPropagation = function (e) {
        e.stopPropagation();
    };
    AssetGridItem.prototype.onCheckboxClick = function (e) {
        if (this.props.updateSelectedAssetIds != null) {
            e.stopPropagation();
            this.props.updateSelectedAssetIds(this.props.asset);
        }
    };
    AssetGridItem.prototype.render = function () {
        var _a, _b, _c, _d, _e;
        var _f = apis_1.superdeskApi.localization, gettext = _f.gettext, longFormatDateTime = _f.longFormatDateTime;
        var typeIcon = ui_1.getIconTypeFromMimetype((_a = this.props.asset.mimetype) !== null && _a !== void 0 ? _a : 'text');
        var actions = assets_1.getDropdownItemsForActions(this.props.asset, this.props.actions);
        var mimetype = assets_1.getMimetypeHumanReadable(this.props.asset.mimetype);
        return (React.createElement(GridItem_1.GridItem, { onClick: this.onItemClick, onDoubleClick: this.props.onDoubleClick && this.onItemDoubleClick, selected: this.props.selected || this.props.itemSelected, locked: assets_1.isAssetLocked(this.props.asset) },
            React.createElement(GritItemThumb_1.GridItemThumb, { uploading: true, remove: this.props.remove && this.onRemove, icon: typeIcon, selected: this.props.itemSelected, toggleSelected: this.props.toggleSelected && this.toggleSelected, onCheckboxClick: this.onCheckboxClick }, this.props.uploadProgress && (React.createElement(GridItemProgressCircle_1.GridItemProgressCircle, { value: (_b = this.props.uploadProgress) !== null && _b !== void 0 ? _b : 0, error: (_c = this.props.error) !== null && _c !== void 0 ? _c : false, counter: false }))),
            React.createElement(GridItemContent_1.GridItemContent, null,
                this.props.asset._updated && (React.createElement("time", null, longFormatDateTime(this.props.asset._updated))),
                React.createElement("p", { className: "sd-grid-item__title" }, (_d = this.props.asset.name) === null || _d === void 0 ? void 0 : _d.substring(0, 25)),
                React.createElement("p", { className: "sd-grid-item--element-grow" }, (_e = this.props.asset.description) === null || _e === void 0 ? void 0 : _e.substring(0, 120)),
                React.createElement("div", { className: "sd-grid-item__content-block" },
                    React.createElement("span", { className: "sd-grid-item__text-label" }, gettext('Type:')),
                    React.createElement("span", { className: "sd-grid-item__text-strong" }, mimetype)),
                React.createElement("div", { className: "sd-grid-item__content-block" },
                    React.createElement("span", { className: "sd-grid-item__text-label" }, gettext('Size:')),
                    React.createElement("span", { className: "sd-grid-item__text-strong" }, this.props.asset.length && ui_1.getHumanReadableFileSize(this.props.asset.length)))),
            React.createElement(GridItemFooter_1.GridItemFooter, null,
                this.props.asset.state && (React.createElement(GridItemFooterBlock_1.GridItemFooterBlock, { multiL: true },
                    React.createElement(react_1.Icon, { name: typeIcon, className: "sd-grid-item__type-icn sd-grid-item__footer-block-item" }),
                    ui_1.getAssetStateLabel(this.props.asset.state))),
                actions.length === 0 ? null : (React.createElement(GridItemFooterBlock_1.GridItemFooterBlock, { singleR: true },
                    React.createElement("div", { className: "sd-grid-item__actions", onClick: this.stopClickPropagation },
                        React.createElement(react_1.Dropdown, { align: "right", append: true, items: [{
                                    type: 'group',
                                    label: gettext('Actions'),
                                    items: __spreadArrays([
                                        'divider'
                                    ], actions),
                                }] },
                            React.createElement(react_1.IconButton, { ariaValue: "dropdown-more-options", icon: "dots-vertical", onClick: function () { return false; } })))))),
            React.createElement("div", { className: "sd-grid-item__state-border" })));
    };
    return AssetGridItem;
}(React.PureComponent));
exports.AssetGridItem = AssetGridItem;
