"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssetListItem = void 0;
// External Modules
var React = __importStar(require("react"));
var apis_1 = require("../../apis");
// UI
var react_1 = require("superdesk-ui-framework/react");
var list_1 = require("../../ui/list");
// Utils
var ui_1 = require("../../utils/ui");
var assets_1 = require("../../utils/assets");
var AssetListItem = /** @class */ (function (_super) {
    __extends(AssetListItem, _super);
    function AssetListItem(props) {
        var _this = _super.call(this, props) || this;
        _this.onItemClick = _this.onItemClick.bind(_this);
        _this.onItemDoubleClick = _this.onItemDoubleClick.bind(_this);
        _this.onPreviewSelect = _this.onPreviewSelect.bind(_this);
        _this.onCheckboxClick = _this.onCheckboxClick.bind(_this);
        return _this;
    }
    AssetListItem.prototype.onItemClick = function (event) {
        if (this.props.onClick) {
            event.stopPropagation();
            this.props.onClick(this.props.asset);
        }
    };
    AssetListItem.prototype.onItemDoubleClick = function (event) {
        if (this.props.onDoubleClick) {
            event.stopPropagation();
            this.props.onDoubleClick(this.props.asset);
        }
    };
    AssetListItem.prototype.onPreviewSelect = function () {
        this.props.onClick(this.props.asset);
    };
    AssetListItem.prototype.stopClickPropagation = function (e) {
        e.stopPropagation();
    };
    AssetListItem.prototype.onCheckboxClick = function (e) {
        this.stopClickPropagation(e);
        this.props.updateSelectedAssetIds(this.props.asset);
    };
    AssetListItem.prototype.render = function () {
        var _this = this;
        var _a = apis_1.superdeskApi.localization, gettext = _a.gettext, longFormatDateTime = _a.longFormatDateTime, getRelativeOrAbsoluteDateTime = _a.getRelativeOrAbsoluteDateTime;
        var config = apis_1.superdeskApi.instance.config;
        var actions = assets_1.getDropdownItemsForActions(this.props.asset, this.props.actions);
        var mimetype = assets_1.getMimetypeHumanReadable(this.props.asset.mimetype);
        var versionShort = getRelativeOrAbsoluteDateTime(this.props.asset.versioncreated, config.view.dateformat);
        var versionLong = longFormatDateTime(this.props.asset.versioncreated);
        return (React.createElement(list_1.ListItem, { onClick: this.onItemClick, onDoubleClick: this.props.onDoubleClick && this.onItemDoubleClick, selected: this.props.selected || this.props.itemSelected, shadow: 1 },
            assets_1.isAssetLocked(this.props.asset) ? (React.createElement(list_1.ListItemBorder, { state: "locked" })) : null,
            React.createElement(list_1.ListItemColumn, { hasCheck: true, checked: this.props.itemSelected },
                React.createElement("div", { className: "sd-list-item__checkbox-container", onClick: this.onCheckboxClick },
                    React.createElement(react_1.Checkbox, { label: { text: this.props.asset.mimetype, hidden: true }, checked: this.props.itemSelected, onChange: function () { return _this.onCheckboxClick; } })),
                React.createElement("span", { className: "sd-list-item__item-type" },
                    React.createElement(react_1.Icon, { name: ui_1.getIconTypeFromMimetype(this.props.asset.mimetype) }))),
            React.createElement(list_1.ListItemColumn, { grow: true },
                React.createElement(list_1.ListItemRow, null,
                    React.createElement("span", { className: "sd-overflow-ellipsis sd-list-item--element-grow" },
                        React.createElement("span", { className: "sd-list-item__slugline" }, this.props.asset.name),
                        this.props.asset.description),
                    React.createElement("time", { title: versionLong }, gettext('Updated {{ datetime }}', { datetime: versionShort }))),
                React.createElement(list_1.ListItemRow, null,
                    ui_1.getAssetStateLabel(this.props.asset.state),
                    React.createElement("span", { className: "sd-overflow-ellipsis" },
                        React.createElement("span", { className: "sd-list-item__text-label" }, gettext('Type:')),
                        React.createElement("span", { className: "sd-list-item__inline-text" }, mimetype),
                        React.createElement("span", { className: "sd-list-item__text-label" }, gettext('Size:')),
                        React.createElement("span", { className: "sd-list-item__inline-text" }, ui_1.getHumanReadableFileSize(this.props.asset.length))))),
            actions.length === 0 ? null : (React.createElement("div", { className: "sd-list-item__action-menu", onClick: this.stopClickPropagation },
                React.createElement(react_1.Dropdown, { align: "right", append: true, items: [{
                            type: 'group',
                            label: gettext('Actions'),
                            items: __spreadArrays([
                                'divider'
                            ], actions),
                        }] },
                    React.createElement(react_1.IconButton, { ariaValue: "dropdown-more-options", icon: "dots-vertical", onClick: function () { return false; } }))))));
    };
    return AssetListItem;
}(React.PureComponent));
exports.AssetListItem = AssetListItem;
