"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssetListPanel = void 0;
// External Modules
var React = __importStar(require("react"));
// Types
var interfaces_1 = require("../../interfaces");
var apis_1 = require("../../apis");
// UI
var ui_1 = require("../../ui");
var GridList_1 = require("../../ui/grid/GridList");
var assetGridItem_1 = require("./assetGridItem");
var assetListItem_1 = require("./assetListItem");
var AssetListPanel = /** @class */ (function (_super) {
    __extends(AssetListPanel, _super);
    function AssetListPanel() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    AssetListPanel.prototype.render = function () {
        var _this = this;
        var gettext = apis_1.superdeskApi.localization.gettext;
        var assertNever = apis_1.superdeskApi.helpers.assertNever;
        if (this.props.assets.length === 0) {
            return (React.createElement(ui_1.PanelInfo, { icon: "big-icon--comments", heading: gettext('No Assets found'), description: gettext('Upload new Assets or change your search filters') }));
        }
        else if (this.props.listStyle === interfaces_1.ASSET_LIST_STYLE.GRID) {
            return (React.createElement(GridList_1.GridList, { className: "sd-margin--1" }, this.props.assets.map(function (asset) {
                var _a, _b, _c;
                return (React.createElement(assetGridItem_1.AssetGridItem, { key: asset._id, asset: asset, selected: (_b = (_a = _this.props.selectedItems) === null || _a === void 0 ? void 0 : _a.includes(asset._id)) !== null && _b !== void 0 ? _b : false, toggleSelected: _this.props.onItemClicked, onClick: _this.props.onItemClicked, onDoubleClick: _this.props.onItemDoubleClicked, actions: _this.props.actions, itemSelected: ((_c = _this.props.selectedAssetIds) === null || _c === void 0 ? void 0 : _c.indexOf(asset._id)) !== -1, updateSelectedAssetIds: _this.props.updateSelectedAssetIds }));
            })));
        }
        else if (this.props.listStyle === interfaces_1.ASSET_LIST_STYLE.LIST) {
            return (React.createElement(ui_1.ListItemGroup, null, this.props.assets.map(function (asset) {
                var _a, _b, _c;
                return (React.createElement(assetListItem_1.AssetListItem, { key: asset._id, asset: asset, selected: (_b = (_a = _this.props.selectedItems) === null || _a === void 0 ? void 0 : _a.includes(asset._id)) !== null && _b !== void 0 ? _b : false, onClick: _this.props.onItemClicked, onDoubleClick: _this.props.onItemDoubleClicked, actions: _this.props.actions, itemSelected: ((_c = _this.props.selectedAssetIds) === null || _c === void 0 ? void 0 : _c.indexOf(asset._id)) !== -1, updateSelectedAssetIds: _this.props.updateSelectedAssetIds }));
            })));
        }
        assertNever(this.props.listStyle);
        return null;
    };
    return AssetListPanel;
}(React.PureComponent));
exports.AssetListPanel = AssetListPanel;
