"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssetPreviewPanel = exports.AssetPreviewPanelComponent = exports.downloadAssetBinary = void 0;
// External modules
var React = __importStar(require("react"));
var react_redux_1 = require("react-redux");
// Types
var interfaces_1 = require("../../interfaces");
var apis_1 = require("../../apis");
// Redux Actions & Selectors
var actions_1 = require("../../store/assets/actions");
var selectors_1 = require("../../store/assets/selectors");
// UI
var react_1 = require("superdesk-ui-framework/react");
var ui_1 = require("../../ui");
var versionUserDateLines_1 = require("../common/versionUserDateLines");
// Utils
var ui_2 = require("../../utils/ui");
var assets_1 = require("../../utils/assets");
var mapStateToProps = function (state) { return ({
    asset: selectors_1.getSelectedAsset(state),
    setName: selectors_1.getSetNameForSelectedAsset(state),
}); };
var mapDispatchToProps = function (dispatch) { return ({
    onEditAsset: function (asset) { return dispatch(actions_1.onEditAsset(asset)); },
    deleteAsset: function (asset) { return dispatch(actions_1.deleteAssets(asset)); },
    onPanelClosed: function () { return dispatch(actions_1.closeAssetContentPanel()); },
    queryAssetsFromCurrentSearch: function (listAction) { return dispatch(actions_1.queryAssetsFromCurrentSearch(listAction)); },
    forceUnlockAsset: function (asset) { return dispatch(actions_1.forceUnlockAsset(asset)); },
}); };
function downloadAssetBinary(asset) {
    apis_1.samsApi.assets.getAssetBinary(asset);
}
exports.downloadAssetBinary = downloadAssetBinary;
var AssetPreviewPanelComponent = /** @class */ (function (_super) {
    __extends(AssetPreviewPanelComponent, _super);
    function AssetPreviewPanelComponent(props) {
        var _this = _super.call(this, props) || this;
        _this.onEditAsset = _this.onEditAsset.bind(_this);
        _this.onDownloadSingleAssetCompressedBinary = _this.onDownloadSingleAssetCompressedBinary.bind(_this);
        _this.onDeleteAsset = _this.onDeleteAsset.bind(_this);
        return _this;
    }
    AssetPreviewPanelComponent.prototype.onEditAsset = function () {
        this.props.onEditAsset(this.props.asset);
    };
    AssetPreviewPanelComponent.prototype.onDeleteAsset = function () {
        this.props.deleteAsset(this.props.asset);
    };
    AssetPreviewPanelComponent.prototype.onDownloadSingleAssetCompressedBinary = function () {
        downloadAssetBinary(this.props.asset);
    };
    AssetPreviewPanelComponent.prototype.render = function () {
        var _a, _b, _c, _d, _e, _f, _g, _h;
        var gettext = apis_1.superdeskApi.localization.gettext;
        var actions = [{
                action: interfaces_1.ASSET_ACTIONS.EDIT,
                onSelect: this.onEditAsset,
            },
            {
                action: interfaces_1.ASSET_ACTIONS.DOWNLOAD,
                onSelect: this.onDownloadSingleAssetCompressedBinary,
            },
            {
                action: interfaces_1.ASSET_ACTIONS.DELETE,
                onSelect: this.onDeleteAsset,
            },
        ];
        if (apis_1.superdeskApi.privileges.hasPrivilege('sams_manage_assets')) {
            actions.push({
                action: interfaces_1.ASSET_ACTIONS.FORCE_UNLOCK,
                onSelect: this.props.forceUnlockAsset,
            });
        }
        var newActions = assets_1.getDropdownItemsForActions(this.props.asset, actions);
        if (((_a = this.props.asset) === null || _a === void 0 ? void 0 : _a._id) == null) {
            return null;
        }
        return (React.createElement(React.Fragment, null,
            React.createElement(ui_1.PanelHeader, { onClose: this.props.onPanelClosed, borderB: true, title: gettext('Asset Preview') }),
            React.createElement(ui_1.PanelContent, null,
                React.createElement(ui_1.PanelContentBlock, { flex: true },
                    React.createElement(ui_1.PanelContentBlockInner, { grow: true },
                        React.createElement(versionUserDateLines_1.VersionUserDateLines, { item: this.props.asset })),
                    React.createElement(ui_1.PanelContentBlockInner, { right: true },
                        React.createElement(react_1.Dropdown, { align: "right", items: [
                                {
                                    type: 'group',
                                    label: gettext('Actions'),
                                    items: __spreadArrays([
                                        'divider'
                                    ], newActions),
                                },
                            ] },
                            React.createElement(react_1.IconButton, { ariaValue: "dropdown-more-options", icon: "dots-vertical", onClick: function () { return false; } })))),
                React.createElement(ui_1.PanelContentBlock, { flex: true },
                    React.createElement(ui_1.PanelContentBlockInner, { grow: true },
                        React.createElement(ui_1.FormRow, null,
                            React.createElement(react_1.FormLabel, { text: gettext('Name'), style: "light" }),
                            React.createElement(ui_1.Text, null, (_b = this.props.asset) === null || _b === void 0 ? void 0 : _b.name)),
                        React.createElement(ui_1.FormRow, null,
                            React.createElement(react_1.FormLabel, { text: gettext('Description'), style: "light" }),
                            React.createElement(ui_1.Text, null, ((_c = this.props.asset) === null || _c === void 0 ? void 0 : _c.description) || '-')),
                        React.createElement(ui_1.FormRow, null,
                            React.createElement(react_1.FormLabel, { text: gettext('Filename'), style: "light" }),
                            React.createElement(ui_1.Text, null, (_d = this.props.asset) === null || _d === void 0 ? void 0 : _d.filename)),
                        React.createElement(ui_1.FormRow, null,
                            React.createElement(react_1.FormLabel, { text: gettext('Size'), style: "light" }),
                            React.createElement(ui_1.Text, null, ui_2.getHumanReadableFileSize((_e = this.props.asset) === null || _e === void 0 ? void 0 : _e.length))),
                        React.createElement(ui_1.FormRow, null,
                            React.createElement(react_1.FormLabel, { text: gettext('Type'), style: "light" }),
                            React.createElement(ui_1.Text, null,
                                assets_1.getMimetypeHumanReadable((_f = this.props.asset) === null || _f === void 0 ? void 0 : _f.mimetype),
                                "(", (_g = this.props.asset) === null || _g === void 0 ? void 0 :
                                _g.mimetype,
                                ")")),
                        React.createElement(ui_1.FormRow, null,
                            React.createElement(react_1.FormLabel, { text: gettext('State'), style: "light" }),
                            React.createElement(ui_1.Text, null, (_h = this.props.asset) === null || _h === void 0 ? void 0 : _h.state)),
                        React.createElement(ui_1.FormRow, null,
                            React.createElement(react_1.FormLabel, { text: gettext('Set'), style: "light" }),
                            React.createElement(ui_1.Text, null, this.props.setName)))))));
    };
    return AssetPreviewPanelComponent;
}(React.PureComponent));
exports.AssetPreviewPanelComponent = AssetPreviewPanelComponent;
exports.AssetPreviewPanel = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(AssetPreviewPanelComponent);
