"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssetTypeFilterButtons = exports.AssetTypeFilterButtonsComponent = void 0;
// External Modules
var React = __importStar(require("react"));
var react_redux_1 = require("react-redux");
// Types
var interfaces_1 = require("../../interfaces");
var apis_1 = require("../../apis");
// Redux Actions & Selectors
var actions_1 = require("../../store/assets/actions");
var selectors_1 = require("../../store/assets/selectors");
// UI
var react_1 = require("superdesk-ui-framework/react");
var mapStateToProps = function (state) { return ({
    searchParams: selectors_1.getAssetSearchParams(state),
}); };
var mapDispatchToProps = function (dispatch) { return ({
    updateAssetSearchParamsAndListItems: function (params) { return dispatch(actions_1.updateAssetSearchParamsAndListItems(params, interfaces_1.LIST_ACTION.REPLACE)); },
}); };
var AssetTypeFilterButtonsComponent = /** @class */ (function (_super) {
    __extends(AssetTypeFilterButtonsComponent, _super);
    function AssetTypeFilterButtonsComponent(props) {
        var _this = _super.call(this, props) || this;
        _this.changeFilter = _this.changeFilter.bind(_this);
        return _this;
    }
    AssetTypeFilterButtonsComponent.prototype.changeFilter = function (typeFilter) {
        this.props.updateAssetSearchParamsAndListItems({ mimetypes: typeFilter });
    };
    AssetTypeFilterButtonsComponent.prototype.render = function () {
        var gettext = apis_1.superdeskApi.localization.gettext;
        return (React.createElement(react_1.CheckButtonGroup, { padded: true },
            React.createElement(react_1.RadioButton, { value: this.props.searchParams.mimetypes, onChange: this.changeFilter, options: [
                    { value: interfaces_1.ASSET_TYPE_FILTER.ALL, label: gettext('All item types') },
                    { value: interfaces_1.ASSET_TYPE_FILTER.IMAGES, label: gettext('Images only') },
                    { value: interfaces_1.ASSET_TYPE_FILTER.VIDEOS, label: gettext('Videos only') },
                    { value: interfaces_1.ASSET_TYPE_FILTER.AUDIO, label: gettext('Audio only') },
                    { value: interfaces_1.ASSET_TYPE_FILTER.DOCUMENTS, label: gettext('Documents only') },
                ] })));
    };
    return AssetTypeFilterButtonsComponent;
}(React.PureComponent));
exports.AssetTypeFilterButtonsComponent = AssetTypeFilterButtonsComponent;
exports.AssetTypeFilterButtons = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(AssetTypeFilterButtonsComponent);
