"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectAssetModal = exports.SelectAssetModalComponent = exports.showSelectAssetModal = void 0;
// External Modules
var React = __importStar(require("react"));
var react_redux_1 = require("react-redux");
// Types
var interfaces_1 = require("../../interfaces");
var apis_1 = require("../../apis");
// Redux Actions & Selectors
var selectors_1 = require("../../store/assets/selectors");
var actions_1 = require("../../store/assets/actions");
var selectors_2 = require("../../store/workspace/selectors");
var actions_2 = require("../../store/workspace/actions");
// UI
var react_1 = require("superdesk-ui-framework/react");
var ui_1 = require("../../ui");
var PageLayout_1 = require("../../containers/PageLayout");
var workspaceSubnav_1 = require("../workspaceSubnav");
var assetFilterPanel_1 = require("./assetFilterPanel");
var assetListPanel_1 = require("./assetListPanel");
// Utils
var ui_2 = require("../../utils/ui");
var mapStateToProps = function (state) { return ({
    totalAssets: selectors_1.getAssetListTotal(state),
    assets: selectors_1.getAssetSearchResults(state),
    filterPanelOpen: selectors_2.isFilterPanelOpen(state),
    listStyle: selectors_1.getAssetListStyle(state),
    searchParams: selectors_1.getAssetSearchParams(state),
    currentSet: selectors_1.getAssetSetFilter(state),
}); };
var mapDispatchToProps = function (dispatch) { return ({
    loadNextPage: function () { return dispatch(actions_1.loadNextAssetsPage()); },
    updateAssetSearchParamsAndListItems: function (params, listAction) {
        dispatch(actions_1.updateAssetSearchParamsAndListItems(params, listAction));
    },
    toggleFilterPanel: function () {
        dispatch(actions_2.toggleFilterPanelState());
    },
    queryAssetsFromCurrentSearch: function (listAction) {
        dispatch(actions_1.queryAssetsFromCurrentSearch(listAction));
    },
    updateSelectedAssetIds: function (asset) { return dispatch(actions_1.updateSelectedAssetIds(asset._id)); },
}); };
function showSelectAssetModal() {
    return new Promise(function (resolve) {
        ui_2.showModalConnectedToStore(exports.SelectAssetModal, {
            onAssetsSelected: function (assets) {
                resolve(assets);
            },
        });
    });
}
exports.showSelectAssetModal = showSelectAssetModal;
var SelectAssetModalComponent = /** @class */ (function (_super) {
    __extends(SelectAssetModalComponent, _super);
    function SelectAssetModalComponent(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            nextPageLoading: false,
            selectedItems: {},
        };
        _this.onScroll = _this.onScroll.bind(_this);
        _this.toggleItemSelected = _this.toggleItemSelected.bind(_this);
        _this.attachAssets = _this.attachAssets.bind(_this);
        return _this;
    }
    SelectAssetModalComponent.prototype.componentDidMount = function () {
        this.props.queryAssetsFromCurrentSearch(interfaces_1.LIST_ACTION.REPLACE);
    };
    SelectAssetModalComponent.prototype.onScroll = function (event) {
        var _this = this;
        var node = event.currentTarget;
        if (node != null &&
            this.state.nextPageLoading === false &&
            this.props.totalAssets > this.props.assets.length &&
            node.scrollTop + node.offsetHeight + 200 >= node.scrollHeight) {
            this.setState({ nextPageLoading: true });
            this.props.loadNextPage().finally(function () {
                _this.setState({ nextPageLoading: false });
            });
        }
    };
    SelectAssetModalComponent.prototype.toggleItemSelected = function (asset) {
        this.setState(function (prevState) {
            var selectedItems = __assign({}, prevState.selectedItems);
            if (selectedItems[asset._id] == null) {
                selectedItems[asset._id] = asset;
            }
            else {
                delete selectedItems[asset._id];
            }
            return { selectedItems: selectedItems };
        });
    };
    SelectAssetModalComponent.prototype.attachAssets = function () {
        this.props.onAssetsSelected(this.state.selectedItems);
        this.props.closeModal();
    };
    SelectAssetModalComponent.prototype.render = function () {
        var gettext = apis_1.superdeskApi.localization.gettext;
        var selectedAssetIds = Object.keys(this.state.selectedItems);
        return (React.createElement(ui_1.Modal, { id: "SelectAssetModal", size: "fullscreen", closeModal: this.props.closeModal, darkUI: true },
            React.createElement(ui_1.ModalHeader, { text: gettext('Select Asset(s)'), flex: true },
                React.createElement(react_1.ButtonGroup, { align: "right" },
                    React.createElement(react_1.Button, { text: gettext('Cancel'), onClick: this.props.closeModal, style: "hollow" }),
                    React.createElement(react_1.Button, { text: gettext('Attach Asset(s)'), type: "primary", onClick: this.attachAssets }))),
            React.createElement(ui_1.ModalBody, { noPadding: true },
                React.createElement(PageLayout_1.PageLayout, { header: (React.createElement(workspaceSubnav_1.WorkspaceSubnav, null)), leftPanelOpen: this.props.filterPanelOpen, leftPanel: (this.props.filterPanelOpen === false ? (React.createElement("div", null)) : (React.createElement(assetFilterPanel_1.AssetFilterPanel, { searchParams: this.props.searchParams, closeFilterPanel: this.props.toggleFilterPanel, updateAssetSearchParamsAndListItems: this.props.updateAssetSearchParamsAndListItems }))), mainClassName: "sd-padding--2", mainProps: { onScroll: this.onScroll }, main: (React.createElement(assetListPanel_1.AssetListPanel, { assets: this.props.assets, listStyle: this.props.listStyle, selectedItems: selectedAssetIds, onItemClicked: this.toggleItemSelected, selectedAssetIds: selectedAssetIds, updateSelectedAssetIds: this.toggleItemSelected })) }))));
    };
    return SelectAssetModalComponent;
}(React.Component));
exports.SelectAssetModalComponent = SelectAssetModalComponent;
exports.SelectAssetModal = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(SelectAssetModalComponent);
