"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UploadAssetModal = exports.UploadAssetModalComponent = void 0;
// External modules
var React = __importStar(require("react"));
var react_redux_1 = require("react-redux");
// Types
var interfaces_1 = require("../../interfaces");
var apis_1 = require("../../apis");
// Redux Actions & Selectors
var selectors_1 = require("../../store/sets/selectors");
// UI
var FileUploadModal_1 = require("../../containers/FileUploadModal");
var assetGridItem_1 = require("./assetGridItem");
var assetEditor_1 = require("./assetEditor");
var mapStateToProps = function (state) { return ({
    sets: selectors_1.getActiveSets(state),
}); };
var UploadAssetModalComponent = /** @class */ (function (_super) {
    __extends(UploadAssetModalComponent, _super);
    function UploadAssetModalComponent(props) {
        var _this = _super.call(this, props) || this;
        _this.onFieldChanged = {};
        _this.state = {
            assets: _this.getInitialAssets(),
        };
        _this.onFileAdded = _this.onFileAdded.bind(_this);
        _this.onFileRemoved = _this.onFileRemoved.bind(_this);
        _this.uploadFile = _this.uploadFile.bind(_this);
        _this.renderGridItem = _this.renderGridItem.bind(_this);
        _this.renderRightPanel = _this.renderRightPanel.bind(_this);
        _this.closeModal = _this.closeModal.bind(_this);
        return _this;
    }
    UploadAssetModalComponent.prototype.getInitialAssets = function () {
        var _this = this;
        var _a;
        var assets = {};
        if (this.props.initialFiles != null && ((_a = this.props.initialFiles) === null || _a === void 0 ? void 0 : _a.length) > 0) {
            this.props.initialFiles.forEach(function (item) {
                assets[item.id] = {
                    _id: item.id,
                    state: interfaces_1.ASSET_STATE.DRAFT,
                    filename: item.file.name,
                    length: item.file.size,
                    mimetype: item.file.type,
                    name: item.file.name,
                    description: '',
                    set_id: _this.props.sets[0]._id,
                };
                _this.onFieldChanged[item.id] = _this.onChange.bind(_this, item.id);
            });
        }
        return assets;
    };
    UploadAssetModalComponent.prototype.closeModal = function () {
        if (this.props.onModalClosed != null) {
            this.props.onModalClosed();
        }
        this.props.closeModal();
    };
    UploadAssetModalComponent.prototype.onFileAdded = function (id, file) {
        var _this = this;
        this.setState(function (state) {
            var _a;
            return ({
                assets: __assign(__assign({}, state.assets), (_a = {}, _a[id] = {
                    _id: id,
                    state: interfaces_1.ASSET_STATE.DRAFT,
                    filename: file.name,
                    length: file.size,
                    mimetype: file.type,
                    name: file.name,
                    description: '',
                    set_id: _this.props.sets[0]._id,
                }, _a)),
            });
        });
        this.onFieldChanged[id] = this.onChange.bind(this, id);
    };
    UploadAssetModalComponent.prototype.onFileRemoved = function (id) {
        this.setState(function (state) {
            var assets = __assign({}, state.assets);
            delete assets[id];
            return { assets: assets };
        });
        delete this.onFieldChanged[id];
    };
    UploadAssetModalComponent.prototype.uploadFile = function (item, onProgress) {
        var _this = this;
        var _a;
        var gettext = apis_1.superdeskApi.localization.gettext;
        var notify = apis_1.superdeskApi.ui.notify;
        var data = new FormData();
        var asset = (_a = this.state.assets) === null || _a === void 0 ? void 0 : _a[item.id];
        if (asset == null) {
            notify.error(gettext('Unable to find Asset associated with the file!'));
            return Promise.reject();
        }
        data.append('binary', item.binary, asset.filename);
        var field;
        for (field in asset) {
            if (['_id', 'length'].includes(field) === false) {
                data.append(field, asset[field]);
            }
        }
        return apis_1.samsApi.assets.upload(data, onProgress)
            .then(function (newAsset) {
            if (_this.props.onAssetUploaded != null) {
                return _this.props.onAssetUploaded(newAsset)
                    .then(function () { return newAsset; });
            }
            return newAsset;
        });
    };
    UploadAssetModalComponent.prototype.onChange = function (id, field, value) {
        this.setState(function (state) {
            var _a;
            var assets = __assign({}, state.assets);
            assets[id] = __assign(__assign({}, assets[id]), (_a = {}, _a[field] = value, _a));
            return { assets: assets };
        });
    };
    UploadAssetModalComponent.prototype.renderGridItem = function (_a) {
        var item = _a.item, asset = _a.asset, selected = _a.selected, selectFile = _a.selectFile, removeFile = _a.removeFile;
        return (React.createElement(assetGridItem_1.AssetGridItem, { asset: asset, onClick: selectFile, onDoubleClick: selectFile, selected: selected, remove: removeFile, uploadProgress: item.uploadProgress, error: item.error }));
    };
    UploadAssetModalComponent.prototype.renderRightPanel = function (_a) {
        var item = _a.item, submitting = _a.submitting;
        return (React.createElement(assetEditor_1.AssetEditor, { key: item.id, asset: this.state.assets[item.id], disabled: submitting, onChange: this.onFieldChanged[item.id] }));
    };
    UploadAssetModalComponent.prototype.render = function () {
        var gettext = apis_1.superdeskApi.localization.gettext;
        return (React.createElement(FileUploadModal_1.FileUploadModal, { dark: true, modalSize: "fill", initialFiles: this.props.initialFiles, multiple: true, closeModal: this.closeModal, title: gettext('Upload New Asset(s)'), onFileAdded: this.onFileAdded, onFileRemoved: this.onFileRemoved, uploadFile: this.uploadFile, assets: this.state.assets, ListItemComponent: this.renderGridItem, RightPanelComponent: this.renderRightPanel }));
    };
    return UploadAssetModalComponent;
}(React.Component));
exports.UploadAssetModalComponent = UploadAssetModalComponent;
exports.UploadAssetModal = react_redux_1.connect(mapStateToProps)(UploadAssetModalComponent);
