"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EditAttachmentModal = exports.showEditAttachmentModal = void 0;
// External Modules
var React = __importStar(require("react"));
var apis_1 = require("../../apis");
// UI
var react_1 = require("superdesk-ui-framework/react");
var modal_1 = require("../../ui/modal");
var PageLayout_1 = require("../../containers/PageLayout");
var assetEditor_1 = require("../assets/assetEditor");
// Utils
var ui_1 = require("../../utils/ui");
function showEditAttachmentModal(attachment) {
    return new Promise(function (resolve) {
        ui_1.showModalConnectedToStore(EditAttachmentModal, {
            attachment: attachment,
            onAssetUpdated: function (updatedAttachment, updatedAsset) {
                resolve([updatedAttachment, updatedAsset]);
            },
        });
    });
}
exports.showEditAttachmentModal = showEditAttachmentModal;
var EditAttachmentModal = /** @class */ (function (_super) {
    __extends(EditAttachmentModal, _super);
    function EditAttachmentModal(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            original: undefined,
            updates: {},
            submitting: false,
        };
        _this.onChange = _this.onChange.bind(_this);
        _this.saveAsset = _this.saveAsset.bind(_this);
        return _this;
    }
    EditAttachmentModal.prototype.componentDidMount = function () {
        var _this = this;
        var assetId = apis_1.superdeskApi.entities.attachment.getMediaId(this.props.attachment);
        apis_1.samsApi.assets.getById(assetId)
            .then(function (asset) {
            _this.setState({
                original: asset,
                updates: Object.assign({}, asset),
            });
        });
    };
    EditAttachmentModal.prototype.onChange = function (field, value) {
        this.setState(function (prevState) {
            var _a;
            return ({
                updates: __assign(__assign({}, prevState.updates), (_a = {}, _a[field] = value, _a)),
            });
        });
    };
    EditAttachmentModal.prototype.saveAsset = function () {
        var _this = this;
        if (this.state.original != null) {
            apis_1.samsApi.assets.updateMetadata(this.state.original, this.props.attachment, this.state.updates)
                .then(function (_a) {
                var updatedAttachment = _a[0], updatedAsset = _a[1];
                _this.props.closeModal();
                if (_this.props.onAssetUpdated != null) {
                    _this.props.onAssetUpdated(updatedAttachment, updatedAsset);
                }
            });
        }
    };
    EditAttachmentModal.prototype.render = function () {
        var gettext = apis_1.superdeskApi.localization.gettext;
        return (React.createElement(modal_1.Modal, { id: "EditAttachmentModal", size: "large", closeModal: this.props.closeModal, darkUI: true },
            React.createElement(modal_1.ModalHeader, { text: gettext('Edit Attachment') }),
            React.createElement(modal_1.ModalBody, null,
                React.createElement(PageLayout_1.PageLayout, { mainClassName: "sd-padding--2", main: (this.state.original == null ?
                        null : (React.createElement(assetEditor_1.AssetEditor, { asset: this.state.updates, onChange: this.onChange, fields: [
                            'name',
                            'description',
                            'state',
                        ] }))) })),
            React.createElement(modal_1.ModalFooter, null,
                React.createElement(react_1.Button, { text: gettext('Cancel'), onClick: this.props.closeModal, style: "hollow" }),
                React.createElement(react_1.Button, { text: gettext('Save'), type: "primary", onClick: this.saveAsset }))));
    };
    return EditAttachmentModal;
}(React.Component));
exports.EditAttachmentModal = EditAttachmentModal;
