"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SamsAttachmentsList = void 0;
// External Modules
var React = __importStar(require("react"));
var react_redux_1 = require("react-redux");
var apis_1 = require("../../apis");
var interfaces_1 = require("../../interfaces");
// Redux Actions & Selectors
var selectors_1 = require("../../store/assets/selectors");
var actions_1 = require("../../store/assets/actions");
// UI
var react_1 = require("superdesk-ui-framework/react");
var list_1 = require("../../ui/list");
// Utils
var ui_1 = require("../../utils/ui");
var mapStateToProps = function (state) { return ({
    assets: selectors_1.getAssets(state),
}); };
var mapDispatchToProps = function (dispatch) { return ({
    loadAssetsByIds: function (ids) { return dispatch(actions_1.loadAssetsByIds(ids)); },
}); };
var SamsAttachmentsListComponent = /** @class */ (function (_super) {
    __extends(SamsAttachmentsListComponent, _super);
    function SamsAttachmentsListComponent(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            loading: false,
        };
        _this.renderFile = _this.renderFile.bind(_this);
        return _this;
    }
    SamsAttachmentsListComponent.prototype.componentDidMount = function () {
        this.loadAssets();
    };
    SamsAttachmentsListComponent.prototype.componentDidUpdate = function (prevProps) {
        if (prevProps.files.length !== this.props.files.length) {
            this.loadAssets();
        }
    };
    SamsAttachmentsListComponent.prototype.loadAssets = function () {
        var _this = this;
        this.setState({ loading: true });
        var getMediaId = apis_1.superdeskApi.entities.attachment.getMediaId;
        var mediaIds = this.props.files.map(function (file) { return getMediaId(file); });
        this.props.loadAssetsByIds(mediaIds)
            .then(function () {
            _this.setState({ loading: false });
        });
    };
    SamsAttachmentsListComponent.prototype.getAttachmentSet = function (file) {
        var _a, _b;
        var mediaId = apis_1.superdeskApi.entities.attachment.getMediaId(file);
        var asset = (_a = this.props.assets) === null || _a === void 0 ? void 0 : _a[mediaId];
        return (_b = this.props.sets) === null || _b === void 0 ? void 0 : _b[asset === null || asset === void 0 ? void 0 : asset.set_id];
    };
    SamsAttachmentsListComponent.prototype.renderFile = function (file) {
        var _this = this;
        var gettext = apis_1.superdeskApi.localization.gettext;
        var set = this.getAttachmentSet(file);
        var canEdit = this.state.loading === false && (set === null || set === void 0 ? void 0 : set.state) === interfaces_1.SET_STATE.USABLE;
        return (React.createElement(list_1.ListItem, { key: file._id, shadow: 1 },
            React.createElement(list_1.ListItemColumn, null,
                React.createElement(react_1.Icon, { name: ui_1.getIconTypeFromMimetype(file.mimetype) })),
            React.createElement(list_1.ListItemColumn, { grow: true },
                React.createElement(list_1.ListItemRow, null,
                    React.createElement("h4", null, file.title)),
                React.createElement(list_1.ListItemRow, null,
                    React.createElement("h5", null,
                        file.filename,
                        " ", "(" + ui_1.getHumanReadableFileSize(file.media.length) + ")")),
                React.createElement(list_1.ListItemRow, null,
                    React.createElement("div", { className: "description" }, file.description)),
                file.internal === false ? null : (React.createElement(list_1.ListItemRow, null,
                    React.createElement(react_1.Label, { text: gettext('internal'), color: "label--orange2" }))),
                (set === null || set === void 0 ? void 0 : set.state) !== interfaces_1.SET_STATE.DISABLED ? null : (React.createElement(list_1.ListItemRow, null,
                    React.createElement(react_1.Label, { text: gettext('Set Disabled'), color: "label--orange2" })))),
            React.createElement(list_1.ListItemActionMenu, { row: true },
                React.createElement(react_1.IconButton, { ariaValue: "download", onClick: function () { return _this.props.download(file); }, icon: "download" }),
                this.props.readOnly === true ? null : (React.createElement(React.Fragment, null,
                    canEdit === false ? null : (React.createElement(react_1.IconButton, { ariaValue: "edit", onClick: function () { return _this.props.editFile(file); }, icon: "pencil" })),
                    React.createElement(react_1.IconButton, { ariaValue: "delete", onClick: function () { return _this.props.removeFile(file); }, icon: "trash" }))))));
    };
    SamsAttachmentsListComponent.prototype.render = function () {
        return (React.createElement("div", { className: "attachments-list" },
            this.state.loading === false ? null : (React.createElement("div", { className: "sd-loader" })),
            this.props.files.length === 0 ? null : (React.createElement("ul", null, this.props.files.map(this.renderFile)))));
    };
    return SamsAttachmentsListComponent;
}(React.Component));
exports.SamsAttachmentsList = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(SamsAttachmentsListComponent);
