"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VersionUserDateLines = void 0;
// External Modules
var React = __importStar(require("react"));
var apis_1 = require("../../apis");
var VersionUserDateLines = /** @class */ (function (_super) {
    __extends(VersionUserDateLines, _super);
    function VersionUserDateLines(props) {
        var _this = _super.call(this, props) || this;
        _this.state = { users: {} };
        return _this;
    }
    VersionUserDateLines.prototype.componentDidMount = function () {
        this.loadUsers();
    };
    VersionUserDateLines.prototype.componentDidUpdate = function (prevProps) {
        if (this.props.item.original_creator !== prevProps.item.original_creator ||
            this.props.item.version_creator !== prevProps.item.version_creator) {
            this.loadUsers();
        }
    };
    VersionUserDateLines.prototype.loadUsers = function () {
        var _this = this;
        var userIds = [
            this.props.item.original_creator,
            this.props.item.version_creator,
        ].filter(function (user) { return user != null; });
        if (userIds.length === 0) {
            return;
        }
        apis_1.superdeskApi.entities.users.getUsersByIds(userIds)
            .then(function (users) {
            _this.setState({
                users: users.reduce(function (userList, user) {
                    userList[user._id] = user;
                    return userList;
                }, {}),
            });
        });
    };
    VersionUserDateLines.prototype.render = function () {
        var _a = apis_1.superdeskApi.localization, gettext = _a.gettext, longFormatDateTime = _a.longFormatDateTime, getRelativeOrAbsoluteDateTime = _a.getRelativeOrAbsoluteDateTime;
        var config = apis_1.superdeskApi.instance.config;
        var item = this.props.item;
        var createdUser = item.original_creator == null ?
            null :
            this.state.users[item.original_creator];
        var createdDate = getRelativeOrAbsoluteDateTime(item.firstcreated, config.view.dateformat);
        var createdDateLong = longFormatDateTime(item.firstcreated);
        var updatedUser = item.version_creator == null ?
            null :
            this.state.users[item.version_creator];
        var updateDate = getRelativeOrAbsoluteDateTime(item.versioncreated, config.view.dateformat);
        var updateDateLong = longFormatDateTime(item.versioncreated);
        return (React.createElement(React.Fragment, null,
            React.createElement("p", { className: "sd-text__date-and-author sd-margin-b--0" }, createdUser == null ? (React.createElement("time", { title: createdDateLong }, gettext('Created {{ datetime }}', { datetime: createdDate }))) : (React.createElement(React.Fragment, null,
                React.createElement("time", { title: createdDateLong }, gettext('Created {{ datetime }} by ', { datetime: createdDate })),
                React.createElement("span", { className: "sd-text__author" }, createdUser.display_name)))),
            React.createElement("p", { className: "sd-text__date-and-author sd-margin-b--0" }, updatedUser == null ? (React.createElement("time", { title: updateDateLong }, gettext('Updated {{ datetime }}', { datetime: updateDate }))) : (React.createElement(React.Fragment, null,
                React.createElement("time", { title: updateDateLong }, gettext('Updated {{ datetime }} by ', { datetime: updateDate })),
                React.createElement("span", { className: "sd-text__author" }, updatedUser.display_name))))));
    };
    return VersionUserDateLines;
}(React.Component));
exports.VersionUserDateLines = VersionUserDateLines;
