"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManageSetsModal = exports.ManageSetsModalComponent = exports.showManageSetsModal = void 0;
// External modules
var React = __importStar(require("react"));
var react_redux_1 = require("react-redux");
// Types
var interfaces_1 = require("../../interfaces");
var apis_1 = require("../../apis");
// Redux Actions & Selectors
var actions_1 = require("../../store/sets/actions");
var selectors_1 = require("../../store/sets/selectors");
// UI
var react_1 = require("superdesk-ui-framework/react");
var PageLayout_1 = require("../../containers/PageLayout");
var ui_1 = require("../../ui");
var setListPanel_1 = require("./setListPanel");
var setPreviewPanel_1 = require("./setPreviewPanel");
var setEditorPanel_1 = require("./setEditorPanel");
// Utils
var ui_2 = require("../../utils/ui");
var mapStateToProps = function (state) { return ({
    contentPanelState: selectors_1.getSetContentPanelState(state),
    selectedSetId: selectors_1.getSelectedSetId(state),
}); };
var mapDispatchToProps = function (dispatch) { return ({
    createSet: function () { return dispatch(actions_1.editSet()); },
    onModalClosed: function () { return dispatch(actions_1.onManageSetsModalClosed()); },
}); };
function showManageSetsModal() {
    return ui_2.showModalConnectedToStore(exports.ManageSetsModal);
}
exports.showManageSetsModal = showManageSetsModal;
var ManageSetsModalComponent = /** @class */ (function (_super) {
    __extends(ManageSetsModalComponent, _super);
    function ManageSetsModalComponent(props) {
        var _this = _super.call(this, props) || this;
        _this.closeModal = _this.closeModal.bind(_this);
        return _this;
    }
    ManageSetsModalComponent.prototype.closeModal = function () {
        this.props.onModalClosed();
        this.props.closeModal();
    };
    ManageSetsModalComponent.prototype.getContentPanelComponent = function () {
        if (this.props.contentPanelState === interfaces_1.CONTENT_PANEL_STATE.PREVIEW) {
            return setPreviewPanel_1.SetPreviewPanel;
        }
        else if (this.props.contentPanelState === interfaces_1.CONTENT_PANEL_STATE.CREATE ||
            this.props.contentPanelState === interfaces_1.CONTENT_PANEL_STATE.EDIT) {
            return setEditorPanel_1.SetEditorPanel;
        }
        return null;
    };
    ManageSetsModalComponent.prototype.render = function () {
        var gettext = apis_1.superdeskApi.localization.gettext;
        var ContentPanel = this.getContentPanelComponent();
        var addButtonDisabled = this.props.contentPanelState === interfaces_1.CONTENT_PANEL_STATE.CREATE ||
            this.props.contentPanelState === interfaces_1.CONTENT_PANEL_STATE.EDIT;
        return (React.createElement(ui_1.Modal, { id: "ManageSetsModal", size: "x-large", closeModal: this.closeModal, closeOnEsc: true },
            React.createElement(ui_1.ModalHeader, { text: gettext('Manage Sets'), onClose: this.closeModal }),
            React.createElement(ui_1.ModalBody, { noPadding: true },
                React.createElement(PageLayout_1.PageLayout, { header: (React.createElement(react_1.SubNav, { zIndex: 2 },
                        React.createElement(react_1.ButtonGroup, { align: "right" },
                            React.createElement(react_1.Button, { type: "primary", text: gettext('Add New'), icon: "plus-sign", disabled: addButtonDisabled, onClick: this.props.createSet })))), mainClassName: "sd-padding--2", main: React.createElement(setListPanel_1.SetListPanel, null), rightPanelOpen: ContentPanel != null, rightPanel: ContentPanel == null ? (React.createElement("div", null)) : (React.createElement(ContentPanel, { key: this.props.selectedSetId })) })),
            React.createElement(ui_1.ModalFooter, null,
                React.createElement(react_1.Button, { text: gettext('Close'), onClick: this.closeModal }))));
    };
    return ManageSetsModalComponent;
}(React.PureComponent));
exports.ManageSetsModalComponent = ManageSetsModalComponent;
exports.ManageSetsModal = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(ManageSetsModalComponent);
