"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetEditorPanel = exports.SetEditorPanelComponent = void 0;
// External Modules
var React = __importStar(require("react"));
var react_redux_1 = require("react-redux");
var lodash_1 = require("lodash");
// Types
var interfaces_1 = require("../../interfaces");
var apis_1 = require("../../apis");
// Redux Actions & Selectors
var actions_1 = require("../../store/sets/actions");
var selectors_1 = require("../../store/sets/selectors");
var selectors_2 = require("../../store/storageDestinations/selectors");
// UI
var react_1 = require("superdesk-ui-framework/react");
var ui_1 = require("../../ui");
var ui_2 = require("../../utils/ui");
var versionUserDateLines_1 = require("../common/versionUserDateLines");
// Utils
var api_1 = require("../../utils/api");
var mapStateToProps = function (state) { return ({
    original: selectors_1.getSelectedSet(state),
    destinations: selectors_2.getStorageDestinations(state),
    currentDestination: selectors_1.getSelectedSetStorageDestination(state),
}); };
var mapDispatchToProps = function (dispatch) { return ({
    closeEditor: function () { return dispatch(actions_1.closeSetContentPanel()); },
    previewSet: function (set) { return dispatch(actions_1.previewSet(set._id)); },
}); };
var SetEditorPanelComponent = /** @class */ (function (_super) {
    __extends(SetEditorPanelComponent, _super);
    function SetEditorPanelComponent(props) {
        var _a, _b, _c;
        var _this = _super.call(this, props) || this;
        if (((_a = _this.props.original) === null || _a === void 0 ? void 0 : _a._id) == null) {
            _this.state = {
                updates: {
                    destination_name: (_c = (_b = _this.props.destinations) === null || _b === void 0 ? void 0 : _b[0]) === null || _c === void 0 ? void 0 : _c._id,
                },
                isDirty: true,
                submitting: false,
                storage_unit: interfaces_1.DATA_UNIT.BYTES,
            };
        }
        else {
            _this.state = {
                updates: lodash_1.cloneDeep(_this.props.original),
                isDirty: false,
                submitting: false,
                storage_unit: interfaces_1.DATA_UNIT.BYTES,
            };
        }
        _this.onStateChange = _this.onStateChange.bind(_this);
        _this.onSave = _this.onSave.bind(_this);
        _this.onCancel = _this.onCancel.bind(_this);
        _this.updateStorageUnit = _this.updateStorageUnit.bind(_this);
        _this.onMaxAssetSizeChange = _this.onMaxAssetSizeChange.bind(_this);
        _this.onChange = {
            name: function (value) { return _this.onFieldChange('name', value.trim()); },
            description: function (value) { return _this.onFieldChange('description', value.trim()); },
            destination_name: function (value) { return _this.onFieldChange('destination_name', value); },
            maximum_asset_size: function (value) { return _this.onMaxAssetSizeChange(+value, _this.state.storage_unit); },
            storage_unit: function (value) { return _this.updateStorageUnit(value); },
            state: function (value) { return _this.onStateChange(value); },
        };
        return _this;
    }
    SetEditorPanelComponent.prototype.onFieldChange = function (field, value) {
        var updates = this.state.updates;
        var dirty = true;
        updates[field] = value;
        if (this.props.original != null) {
            dirty = api_1.hasItemChanged(this.props.original, this.state.updates);
        }
        this.setState({
            updates: updates,
            isDirty: dirty,
        });
    };
    SetEditorPanelComponent.prototype.onMaxAssetSizeChange = function (assetSize, unit) {
        var newFileSize;
        newFileSize = ui_2.getFileSizeFromHumanReadable(assetSize, unit);
        this.onFieldChange('maximum_asset_size', newFileSize);
    };
    SetEditorPanelComponent.prototype.updateStorageUnit = function (value) {
        this.setState({
            storage_unit: value,
        });
        this.onMaxAssetSizeChange(this.state.updates.maximum_asset_size || 0, value);
    };
    SetEditorPanelComponent.prototype.onStateChange = function (value) {
        var _a;
        var newState;
        if (((_a = this.props.original) === null || _a === void 0 ? void 0 : _a.state) === interfaces_1.SET_STATE.DRAFT) {
            newState = value === true ?
                interfaces_1.SET_STATE.USABLE :
                interfaces_1.SET_STATE.DRAFT;
        }
        else {
            newState = value === true ?
                interfaces_1.SET_STATE.USABLE :
                interfaces_1.SET_STATE.DISABLED;
        }
        this.onFieldChange('state', newState);
    };
    SetEditorPanelComponent.prototype.onSave = function () {
        var _this = this;
        this.setState({ submitting: true });
        var promise = this.props.original != null ?
            apis_1.samsApi.sets.update(this.props.original, this.state.updates) :
            apis_1.samsApi.sets.create(this.state.updates);
        promise
            .then(function (set) {
            // If the submission was completed successfully
            // then close the editor and open the preview
            _this.props.previewSet(set);
        })
            .catch(function () {
            // If there was an error submitting the request
            // then re-enable the 'SAVE'|'CREATE' button
            _this.setState({ submitting: false });
        });
    };
    SetEditorPanelComponent.prototype.onCancel = function () {
        if (this.props.original != null) {
            this.props.previewSet(this.props.original);
        }
        else {
            this.props.closeEditor();
        }
    };
    SetEditorPanelComponent.prototype.render = function () {
        var _a;
        var gettext = apis_1.superdeskApi.localization.gettext;
        var currentDestination = this.props.currentDestination;
        var destinations = (_a = this.props.destinations) !== null && _a !== void 0 ? _a : [];
        var updates = this.state.updates;
        return (React.createElement(React.Fragment, null,
            React.createElement(ui_1.PanelHeader, { borderB: true },
                React.createElement(ui_1.PanelHeaderSlidingToolbar, null,
                    React.createElement(react_1.ButtonGroup, { align: "right" },
                        React.createElement(react_1.Button, { text: gettext('Cancel'), style: "hollow", onClick: this.onCancel, disabled: this.state.submitting }),
                        React.createElement(react_1.Button, { text: this.props.original != null ?
                                gettext('Save') :
                                gettext('Create'), type: "primary", disabled: !this.state.isDirty || this.state.submitting, onClick: this.onSave })))),
            React.createElement(ui_1.PanelContent, null,
                this.props.original == null ? null : (React.createElement(ui_1.PanelContentBlock, { flex: true },
                    React.createElement(ui_1.PanelContentBlockInner, { grow: true },
                        React.createElement(versionUserDateLines_1.VersionUserDateLines, { item: this.props.original })))),
                React.createElement(ui_1.PanelContentBlock, null,
                    React.createElement(ui_1.PanelContentBlockInner, { grow: true },
                        this.props.original == null ? null : (React.createElement(ui_1.FormGroup, null,
                            React.createElement(ui_1.FormRow, null,
                                React.createElement("label", null, gettext('Enabled')),
                                React.createElement(react_1.Switch, { value: updates.state === interfaces_1.SET_STATE.USABLE, onChange: this.onChange.state })))),
                        React.createElement(ui_1.FormGroup, null,
                            React.createElement(ui_1.FormRow, null,
                                React.createElement(react_1.Input, { label: gettext('Name'), value: updates.name, required: true, onChange: this.onChange.name, disabled: false }))),
                        React.createElement(ui_1.FormGroup, null,
                            React.createElement(ui_1.FormRow, null,
                                React.createElement(react_1.Input, { label: gettext('Description'), value: updates.description, onChange: this.onChange.description, disabled: false }))),
                        React.createElement(ui_1.FormGroup, null,
                            React.createElement(ui_1.FormRow, null,
                                React.createElement(react_1.Input, { label: gettext('Maximum Asset Size'), value: (updates.maximum_asset_size || 0).toString(), info: gettext('value of 0 will disable this restriction'), onChange: this.onChange.maximum_asset_size, disabled: false })),
                            React.createElement(ui_1.FormRow, null,
                                React.createElement(react_1.Select, { label: gettext('Storage Unit'), onChange: this.onChange.storage_unit },
                                    React.createElement(react_1.Option, { value: interfaces_1.DATA_UNIT.BYTES }, gettext('Bytes')),
                                    React.createElement(react_1.Option, { value: interfaces_1.DATA_UNIT.KB }, gettext('KB')),
                                    React.createElement(react_1.Option, { value: interfaces_1.DATA_UNIT.MB }, gettext('MB')),
                                    React.createElement(react_1.Option, { value: interfaces_1.DATA_UNIT.GB }, gettext('GB'))))),
                        (this.props.original == null || updates.state === interfaces_1.SET_STATE.DRAFT) ? (React.createElement(ui_1.FormGroup, null,
                            React.createElement(ui_1.FormRow, null,
                                React.createElement(react_1.Select, { label: gettext('Destination'), value: updates.destination_name, required: true, onChange: this.onChange.destination_name, disabled: false }, destinations.map(function (destination) { return (React.createElement(react_1.Option, { key: destination._id, value: destination._id },
                                    destination._id,
                                    " / ",
                                    destination.provider)); }))))) : (React.createElement(React.Fragment, null,
                            React.createElement(react_1.FormLabel, { text: gettext('Storage Destination'), style: "light" }),
                            React.createElement(ui_1.Text, null, currentDestination === null || currentDestination === void 0 ? void 0 : currentDestination._id),
                            React.createElement(react_1.FormLabel, { text: gettext('Storage Provider'), style: "light" }),
                            React.createElement(ui_1.Text, null, currentDestination === null || currentDestination === void 0 ? void 0 : currentDestination.provider))))))));
    };
    return SetEditorPanelComponent;
}(React.Component));
exports.SetEditorPanelComponent = SetEditorPanelComponent;
exports.SetEditorPanel = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(SetEditorPanelComponent);
