"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetListItem = void 0;
// External Modules
var React = __importStar(require("react"));
var apis_1 = require("../../apis");
// Types
var interfaces_1 = require("../../interfaces");
// UI
var react_1 = require("superdesk-ui-framework/react");
var list_1 = require("../../ui/list");
var SetListItem = /** @class */ (function (_super) {
    __extends(SetListItem, _super);
    function SetListItem(props) {
        var _this = _super.call(this, props) || this;
        _this.onItemClick = _this.onItemClick.bind(_this);
        _this.onEdit = _this.onEdit.bind(_this);
        _this.onDelete = _this.onDelete.bind(_this);
        return _this;
    }
    SetListItem.prototype.onItemClick = function (event) {
        if (this.props.onClick) {
            event.stopPropagation();
            this.props.onClick(this.props.set);
        }
    };
    SetListItem.prototype.onEdit = function (event) {
        if (this.props.editSet) {
            event.stopPropagation();
            this.props.editSet(this.props.set);
        }
    };
    SetListItem.prototype.onDelete = function (event) {
        if (this.props.deleteSet) {
            event.stopPropagation();
            this.props.deleteSet(this.props.set);
        }
    };
    SetListItem.prototype.render = function () {
        var _a = apis_1.superdeskApi.localization, gettext = _a.gettext, longFormatDateTime = _a.longFormatDateTime, getRelativeOrAbsoluteDateTime = _a.getRelativeOrAbsoluteDateTime;
        var config = apis_1.superdeskApi.instance.config;
        var _b = this.props, set = _b.set, count = _b.count, storageDestination = _b.storageDestination;
        var storageDestinationText = storageDestination == null ?
            '' :
            storageDestination._id + " / " + storageDestination.provider;
        var updatedDateShort = getRelativeOrAbsoluteDateTime(set.versioncreated, config.view.dateformat);
        var updatedDateLong = longFormatDateTime(set.versioncreated);
        return (React.createElement(list_1.ListItem, { shadow: 1, onClick: this.onItemClick, selected: this.props.selected },
            React.createElement(list_1.ListItemBorder, null),
            set.state === interfaces_1.SET_STATE.DRAFT ? null : (React.createElement(list_1.ListItemColumn, null,
                React.createElement(react_1.Badge, { text: count.toString(), type: "success" }))),
            React.createElement(list_1.ListItemColumn, { grow: true, noBorder: true },
                React.createElement(list_1.ListItemRow, null,
                    React.createElement("span", { className: "sd-overflow-ellipsis sd-list-item--element-grow" },
                        React.createElement("span", { className: "sd-list-item__slugline" }, set.name),
                        set.description),
                    React.createElement("time", { title: updatedDateLong }, gettext('Updated {{ datetime }}', { datetime: updatedDateShort }))),
                React.createElement(list_1.ListItemRow, null,
                    React.createElement("span", { className: "sd-list-item__text-label" }, gettext('Storage:')),
                    React.createElement("span", { className: "sd-list-item__inline-text" }, storageDestinationText))),
            React.createElement(list_1.ListItemActionMenu, { row: true },
                this.props.deleteSet == null || (set.state === interfaces_1.SET_STATE.DISABLED && count > 0) ? null : (React.createElement(react_1.IconButton, { icon: "trash", ariaValue: "delete", onClick: this.onDelete })),
                React.createElement(react_1.IconButton, { icon: "pencil", ariaValue: "edit", onClick: this.onEdit }))));
    };
    return SetListItem;
}(React.PureComponent));
exports.SetListItem = SetListItem;
