"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetListPanel = exports.SetListPanelComponent = void 0;
// External Modules
var React = __importStar(require("react"));
var react_redux_1 = require("react-redux");
var apis_1 = require("../../apis");
// Redux Actions & Selectors
var actions_1 = require("../../store/sets/actions");
var selectors_1 = require("../../store/sets/selectors");
var selectors_2 = require("../../store/storageDestinations/selectors");
// UI
var setListGroup_1 = require("./setListGroup");
var mapStateToProps = function (state) { return ({
    sets: selectors_1.getSetsGroupedByState(state),
    storageDestinations: selectors_2.getStorageDestinationsById(state),
    currentSetId: selectors_1.getSelectedSetId(state),
    counts: selectors_1.getAssetsCountForSets(state),
}); };
var mapDispatchToProps = function (dispatch) { return ({
    editSet: function (set) { return dispatch(actions_1.editSet(set._id)); },
    previewSet: function (set) { return dispatch(actions_1.previewSet(set._id)); },
    deleteSet: function (set) { return dispatch(actions_1.confirmBeforeDeletingSet(set)); },
}); };
var SetListPanelComponent = /** @class */ (function (_super) {
    __extends(SetListPanelComponent, _super);
    function SetListPanelComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SetListPanelComponent.prototype.render = function () {
        var _a, _b, _c;
        var gettext = apis_1.superdeskApi.localization.gettext;
        if (Object.keys(this.props.storageDestinations).length === 0) {
            return null;
        }
        return (React.createElement(React.Fragment, null,
            React.createElement(setListGroup_1.SetListGroup, { title: gettext('Draft Sets'), noItemTitle: gettext('No draft sets configured'), sets: (_a = this.props.sets.draft) !== null && _a !== void 0 ? _a : [], counts: this.props.counts, storageDestinations: this.props.storageDestinations, previewSet: this.props.previewSet, deleteSet: this.props.deleteSet, editSet: this.props.editSet, currentSetId: this.props.currentSetId }),
            React.createElement(setListGroup_1.SetListGroup, { title: gettext('Usable Sets'), noItemTitle: gettext('No usable sets configured'), marginTop: true, sets: (_b = this.props.sets.usable) !== null && _b !== void 0 ? _b : [], counts: this.props.counts, storageDestinations: this.props.storageDestinations, previewSet: this.props.previewSet, editSet: this.props.editSet, currentSetId: this.props.currentSetId }),
            React.createElement(setListGroup_1.SetListGroup, { title: gettext('Disabled Sets'), noItemTitle: gettext('No disabled sets configured'), marginTop: true, sets: (_c = this.props.sets.disabled) !== null && _c !== void 0 ? _c : [], counts: this.props.counts, storageDestinations: this.props.storageDestinations, previewSet: this.props.previewSet, deleteSet: this.props.deleteSet, editSet: this.props.editSet, currentSetId: this.props.currentSetId })));
    };
    return SetListPanelComponent;
}(React.PureComponent));
exports.SetListPanelComponent = SetListPanelComponent;
exports.SetListPanel = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(SetListPanelComponent);
