"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetPreviewPanel = exports.SetPreviewPanelComponent = void 0;
// External Modules
var React = __importStar(require("react"));
var react_redux_1 = require("react-redux");
// Types
var interfaces_1 = require("../../interfaces");
var apis_1 = require("../../apis");
// Redux Actions & Selectors
var actions_1 = require("../../store/sets/actions");
var selectors_1 = require("../../store/sets/selectors");
// UI
var react_1 = require("superdesk-ui-framework/react");
var ui_1 = require("../../ui");
var ui_2 = require("../../utils/ui");
var versionUserDateLines_1 = require("../common/versionUserDateLines");
var mapStateToProps = function (state) { return ({
    set: selectors_1.getSelectedSet(state),
    storageDestination: selectors_1.getSelectedSetStorageDestination(state),
    count: selectors_1.getSelectedSetCount(state),
}); };
var mapDispatchToProps = function (dispatch) { return ({
    onEdit: function (set) { return dispatch(actions_1.editSet(set._id)); },
    onDelete: function (set) { return dispatch(actions_1.confirmBeforeDeletingSet(set)); },
    onClose: function () { return dispatch(actions_1.closeSetContentPanel()); },
}); };
var SetPreviewPanelComponent = /** @class */ (function (_super) {
    __extends(SetPreviewPanelComponent, _super);
    function SetPreviewPanelComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SetPreviewPanelComponent.prototype.render = function () {
        var _this = this;
        var gettext = apis_1.superdeskApi.localization.gettext;
        var _a = this.props, set = _a.set, storageDestination = _a.storageDestination, count = _a.count;
        if ((set === null || set === void 0 ? void 0 : set._id) == null) {
            return null;
        }
        var topTools = [{
                title: gettext('Edit'),
                icon: 'pencil',
                onClick: function () { return _this.props.onEdit(set); },
                ariaValue: 'edit',
            }, {
                title: gettext('Close'),
                icon: 'close-small',
                onClick: this.props.onClose,
                ariaValue: 'close',
            }];
        if (set.state === interfaces_1.SET_STATE.DRAFT || (set.state === interfaces_1.SET_STATE.DISABLED && !count)) {
            topTools = __spreadArrays([
                {
                    title: gettext('Delete'),
                    icon: 'trash',
                    onClick: function () { return _this.props.onDelete(set); },
                    ariaValue: 'delete',
                }
            ], topTools);
        }
        return (React.createElement(React.Fragment, null,
            React.createElement(ui_1.PanelHeader, { borderB: true, title: gettext('Set Details') },
                React.createElement(ui_1.PanelTools, { tools: topTools })),
            React.createElement(ui_1.PanelContent, null,
                React.createElement(ui_1.PanelContentBlock, { flex: true },
                    React.createElement(ui_1.PanelContentBlockInner, { grow: true },
                        React.createElement(versionUserDateLines_1.VersionUserDateLines, { item: set }))),
                React.createElement(ui_1.PanelContentBlock, { className: "sd-padding-t--0" },
                    React.createElement(ui_1.PanelContentBlockInner, { grow: true },
                        React.createElement(ui_1.FormRow, null,
                            React.createElement(react_1.FormLabel, { text: gettext('Name'), style: "light" }),
                            React.createElement(ui_1.Text, null, set.name)),
                        React.createElement(ui_1.FormRow, null,
                            React.createElement(react_1.FormLabel, { text: gettext('Description'), style: "light" }),
                            React.createElement(ui_1.Text, null, set.description)),
                        React.createElement(ui_1.FormRow, null,
                            React.createElement(react_1.FormLabel, { text: gettext('Max Asset Size'), style: "light" }),
                            React.createElement(ui_1.Text, null, ui_2.getHumanReadableFileSize(set.maximum_asset_size || 0))),
                        React.createElement(ui_1.FormRow, null,
                            React.createElement(react_1.FormLabel, { text: gettext('Storage Destination'), style: "light" }),
                            React.createElement(ui_1.Text, null, storageDestination === null || storageDestination === void 0 ? void 0 : storageDestination._id)),
                        React.createElement(ui_1.FormRow, null,
                            React.createElement(react_1.FormLabel, { text: gettext('Storage Provider'), style: "light" }),
                            React.createElement(ui_1.Text, null, storageDestination === null || storageDestination === void 0 ? void 0 : storageDestination.provider)))))));
    };
    return SetPreviewPanelComponent;
}(React.PureComponent));
exports.SetPreviewPanelComponent = SetPreviewPanelComponent;
exports.SetPreviewPanel = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(SetPreviewPanelComponent);
