"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkspaceSubnav = exports.WorkspaceSubnavComponent = exports.downloadCompressedBinary = void 0;
// External Modules
var React = __importStar(require("react"));
var react_redux_1 = require("react-redux");
// Types
var interfaces_1 = require("../interfaces");
var apis_1 = require("../apis");
// Redux Actions & Selectors
var selectors_1 = require("../store/workspace/selectors");
var selectors_2 = require("../store/assets/selectors");
var selectors_3 = require("../store/sets/selectors");
var actions_1 = require("../store/workspace/actions");
var actions_2 = require("../store/assets/actions");
// UI
var react_1 = require("superdesk-ui-framework/react");
var ui_1 = require("../ui");
var manageSetsModal_1 = require("./sets/manageSetsModal");
var assetTypeFilterButtons_1 = require("./assets/assetTypeFilterButtons");
// Utils
var ui_2 = require("../utils/ui");
var mapStateToProps = function (state) { return ({
    filterPanelOpen: selectors_1.isFilterPanelOpen(state),
    totalAssets: selectors_2.getAssetListTotal(state),
    listStyle: selectors_2.getAssetListStyle(state),
    searchParams: selectors_2.getAssetSearchParams(state),
    activeSets: selectors_3.getActiveSets(state),
    disabledSets: selectors_3.getDisabledSets(state),
    currentSet: selectors_2.getAssetSetFilter(state),
    selectedAssetIds: selectors_2.getSelectedAssetIds(state),
}); };
var mapDispatchToProps = function (dispatch) { return ({
    toggleFilterPanel: function () {
        dispatch(actions_1.toggleFilterPanelState());
    },
    toggleListStyle: function () {
        dispatch(actions_2.toggleAssetListStyle());
    },
    updateAssetSearchParamsAndListItems: function (params, listAction) {
        dispatch(actions_2.updateAssetSearchParamsAndListItems(params, listAction));
    },
    closeMultiActionBar: function () { return dispatch(actions_2.closeMultiActionBar()); },
    deleteMultipleAssets: function () { return dispatch(actions_2.deleteAssets()); },
}); };
function downloadCompressedBinary(asset_ids) {
    apis_1.samsApi.assets.getCompressedBinary(asset_ids);
}
exports.downloadCompressedBinary = downloadCompressedBinary;
var WorkspaceSubnavComponent = /** @class */ (function (_super) {
    __extends(WorkspaceSubnavComponent, _super);
    function WorkspaceSubnavComponent(props) {
        var _this = _super.call(this, props) || this;
        _this.subNavMenuActions = _this.getSubNavMenuActions();
        _this.sortFieldOptions = _this.getSortFieldOptions();
        _this.toggleSortOrder = _this.toggleSortOrder.bind(_this);
        _this.setSearchParamText = _this.setSearchParamText.bind(_this);
        _this.onDownloadMultipleAssetsCompressedBinary = _this.onDownloadMultipleAssetsCompressedBinary.bind(_this);
        _this.onCloseMultiActionBar = _this.onCloseMultiActionBar.bind(_this);
        _this.onDeleteMultipleAssets = _this.onDeleteMultipleAssets.bind(_this);
        return _this;
    }
    WorkspaceSubnavComponent.prototype.getSubNavMenuActions = function () {
        var gettext = apis_1.superdeskApi.localization.gettext;
        var actions = [];
        if (apis_1.superdeskApi.privileges.hasPrivilege('sams_manage')) {
            actions.push({
                label: gettext('Manage Sets'),
                icon: 'folder-open',
                onSelect: manageSetsModal_1.showManageSetsModal,
            });
        }
        return actions.length === 0 ?
            [] :
            [{
                    type: 'group',
                    label: gettext('Actions'),
                    items: __spreadArrays([
                        'divider'
                    ], actions),
                }];
    };
    WorkspaceSubnavComponent.prototype.getSortFieldOptions = function () {
        var _this = this;
        var gettext = apis_1.superdeskApi.localization.gettext;
        return [{
                label: gettext('Name'),
                onSelect: function () { return _this.setSortField(interfaces_1.ASSET_SORT_FIELD.NAME); },
            }, {
                label: gettext('Filename'),
                onSelect: function () { return _this.setSortField(interfaces_1.ASSET_SORT_FIELD.FILENAME); },
            }, {
                label: gettext('Created'),
                onSelect: function () { return _this.setSortField(interfaces_1.ASSET_SORT_FIELD.CREATED); },
            }, {
                label: gettext('Updated'),
                onSelect: function () { return _this.setSortField(interfaces_1.ASSET_SORT_FIELD.UPDATED); },
            }, {
                label: gettext('Size'),
                onSelect: function () { return _this.setSortField(interfaces_1.ASSET_SORT_FIELD.SIZE); },
            }];
    };
    WorkspaceSubnavComponent.prototype.getMenuItems = function () {
        var _this = this;
        var gettext = apis_1.superdeskApi.localization.gettext;
        var activeSets = this.props.activeSets.map(function (set) { return ({
            label: set.name,
            onSelect: function () { return _this.setSearchParamSetId(set._id); },
        }); });
        var disabledSets = this.props.disabledSets.map(function (set) { return ({
            label: set.name + ' ' + gettext('(disabled)'),
            icon: 'lock',
            onSelect: function () { return _this.setSearchParamSetId(set._id); },
        }); });
        return [{
                type: 'group',
                label: gettext('Sets'),
                items: __spreadArrays([
                    'divider',
                    {
                        label: gettext('All Sets'),
                        onSelect: function () { return _this.setSearchParamSetId(); },
                    }
                ], activeSets, disabledSets),
            }];
    };
    WorkspaceSubnavComponent.prototype.toggleSortOrder = function () {
        var sortOrder = this.props.searchParams.sortOrder === interfaces_1.SORT_ORDER.ASCENDING ?
            interfaces_1.SORT_ORDER.DESCENDING :
            interfaces_1.SORT_ORDER.ASCENDING;
        this.props.updateAssetSearchParamsAndListItems({ sortOrder: sortOrder }, interfaces_1.LIST_ACTION.REPLACE);
    };
    WorkspaceSubnavComponent.prototype.setSortField = function (field) {
        this.props.updateAssetSearchParamsAndListItems({ sortField: field }, interfaces_1.LIST_ACTION.REPLACE);
    };
    WorkspaceSubnavComponent.prototype.setSearchParamSetId = function (setId) {
        this.props.updateAssetSearchParamsAndListItems({ setId: setId }, interfaces_1.LIST_ACTION.REPLACE);
    };
    WorkspaceSubnavComponent.prototype.setSearchParamText = function (searchText) {
        this.props.updateAssetSearchParamsAndListItems({ textSearch: searchText }, interfaces_1.LIST_ACTION.REPLACE);
    };
    WorkspaceSubnavComponent.prototype.onDownloadMultipleAssetsCompressedBinary = function () {
        downloadCompressedBinary(this.props.selectedAssetIds);
    };
    WorkspaceSubnavComponent.prototype.onDeleteMultipleAssets = function () {
        this.props.deleteMultipleAssets();
    };
    WorkspaceSubnavComponent.prototype.onCloseMultiActionBar = function () {
        this.props.closeMultiActionBar();
    };
    WorkspaceSubnavComponent.prototype.render = function () {
        var _a, _b, _c, _d, _e, _f;
        var _g = apis_1.superdeskApi.localization, gettext = _g.gettext, gettextPlural = _g.gettextPlural;
        var numberToString = apis_1.superdeskApi.helpers.numberToString;
        var items = this.getMenuItems();
        var buttonLabel = (_b = (_a = this.props.currentSet) === null || _a === void 0 ? void 0 : _a.name) !== null && _b !== void 0 ? _b : gettext('All Sets');
        var buttonIcon = ((_c = this.props.currentSet) === null || _c === void 0 ? void 0 : _c.state) === interfaces_1.SET_STATE.DISABLED ? 'lock' : undefined;
        var sortFieldText = ui_2.getAssetListSortFieldText(this.props.searchParams.sortField);
        return (React.createElement(React.Fragment, null,
            (((_d = this.props.selectedAssetIds) === null || _d === void 0 ? void 0 : _d.length) !== 0) ? (React.createElement(react_1.SubNav, { zIndex: 2 },
                React.createElement("div", { className: "multi-action-bar" },
                    React.createElement("button", { className: "toggle", onClick: this.props.closeMultiActionBar },
                        React.createElement("i", { className: "icon-chevron-up-thin" })),
                    React.createElement("button", { className: "btn", onClick: this.props.closeMultiActionBar }, gettext('cancel')),
                    React.createElement("span", { id: "multi-select-count" }, gettextPlural((_e = this.props.selectedAssetIds) === null || _e === void 0 ? void 0 : _e.length, '{{count}} item selected', '{{count}} items selected', { count: (_f = this.props.selectedAssetIds) === null || _f === void 0 ? void 0 : _f.length })),
                    React.createElement("div", { className: "pull-right" },
                        React.createElement(react_1.NavButton, { icon: "trash", onClick: this.onDeleteMultipleAssets }),
                        React.createElement(react_1.NavButton, { icon: "download", onClick: this.onDownloadMultipleAssetsCompressedBinary }))))) : (React.createElement(react_1.SubNav, { zIndex: 2 },
                React.createElement(react_1.ButtonGroup, { align: "inline" },
                    React.createElement(react_1.Dropdown, { items: items },
                        React.createElement(react_1.NavButton, { text: buttonLabel, onClick: function () { return false; }, icon: buttonIcon }))),
                React.createElement(ui_1.SearchBar, { placeholder: gettext('Search Assets'), type: "expanded", focused: true, onSubmit: this.setSearchParamText, initialValue: this.props.searchParams.textSearch }),
                React.createElement(react_1.ButtonGroup, { align: "right" },
                    this.subNavMenuActions.length === 0 ?
                        null :
                        (React.createElement(react_1.Dropdown, { items: this.subNavMenuActions },
                            React.createElement("button", { className: "sd-navbtn" },
                                React.createElement("i", { className: "icon-dots-vertical" })))),
                    React.createElement(react_1.Tooltip, { text: gettext('Upload New Asset(s)'), flow: "left" },
                        React.createElement(react_1.Button, { type: "primary", icon: "upload", text: "plus-large", shape: "round", iconOnly: true, onClick: function () { return apis_1.samsApi.assets.showUploadModal(); } }))))),
            React.createElement(react_1.SubNav, { zIndex: 1 },
                React.createElement(react_1.ButtonGroup, { align: "inline" },
                    React.createElement(react_1.NavButton, { icon: "filter-large", onClick: this.props.toggleFilterPanel, type: this.props.filterPanelOpen === true ?
                            'primary' :
                            'default' })),
                React.createElement(assetTypeFilterButtons_1.AssetTypeFilterButtons, null),
                React.createElement(react_1.ButtonGroup, { align: "right" },
                    React.createElement(ui_1.SubNavSpacer, { noMargin: true }),
                    React.createElement(ui_1.ContentBar, null,
                        React.createElement("span", { className: "sd-margin-r--1" },
                            React.createElement("span", { className: "sd-margin-r--1" }, gettext('Total:')),
                            React.createElement(react_1.Badge, { text: numberToString(this.props.totalAssets) })),
                        React.createElement(react_1.Dropdown, { items: this.sortFieldOptions }, sortFieldText),
                        React.createElement(react_1.IconButton, { ariaValue: this.props.searchParams.sortOrder, onClick: this.toggleSortOrder, icon: this.props.searchParams.sortOrder })),
                    React.createElement(react_1.NavButton, { icon: this.props.listStyle === interfaces_1.ASSET_LIST_STYLE.GRID ?
                            'list-view' :
                            'grid-view', onClick: this.props.toggleListStyle })))));
    };
    return WorkspaceSubnavComponent;
}(React.PureComponent));
exports.WorkspaceSubnavComponent = WorkspaceSubnavComponent;
exports.WorkspaceSubnav = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(WorkspaceSubnavComponent);
