"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileUploadModal = void 0;
// External modules
var React = __importStar(require("react"));
// Types
var apis_1 = require("../apis");
// UI
var react_1 = require("superdesk-ui-framework/react");
var ui_1 = require("../ui");
var modal_1 = require("../ui/modal");
var GridList_1 = require("../ui/grid/GridList");
var PageLayout_1 = require("./PageLayout");
var FileUploadModal = /** @class */ (function (_super) {
    __extends(FileUploadModal, _super);
    function FileUploadModal(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            selectedIndex: 0,
            submitting: false,
            items: _this.getInitialItems(),
        };
        _this.showFileUploadDialog = _this.showFileUploadDialog.bind(_this);
        _this.addFiles = _this.addFiles.bind(_this);
        _this.removeFile = _this.removeFile.bind(_this);
        _this.selectFile = _this.selectFile.bind(_this);
        _this.onSubmit = _this.onSubmit.bind(_this);
        _this.fileInputNode = React.createRef();
        return _this;
    }
    FileUploadModal.prototype.componentDidMount = function () {
        if (this.state.items.length === 0) {
            this.showFileUploadDialog();
        }
    };
    FileUploadModal.prototype.showFileUploadDialog = function () {
        if (this.fileInputNode.current != null) {
            this.fileInputNode.current.click();
        }
    };
    FileUploadModal.prototype.getInitialItems = function () {
        var _a;
        var items = [];
        if (this.props.initialFiles != null && ((_a = this.props.initialFiles) === null || _a === void 0 ? void 0 : _a.length) > 0) {
            this.props.initialFiles.forEach(function (item) {
                items.push({
                    id: item.id,
                    binary: item.file,
                    uploadProgress: 0,
                    error: false,
                    completed: false,
                });
            });
        }
        return items;
    };
    FileUploadModal.prototype.addFiles = function (event) {
        var _this = this;
        var _a;
        var newItems = [];
        Array.from((_a = event.target.files) !== null && _a !== void 0 ? _a : []).forEach(function (file) {
            var id = Math.random().toString(36).substr(1);
            _this.props.onFileAdded(id, file);
            newItems.push({
                id: id,
                binary: file,
                uploadProgress: 0,
                error: false,
                completed: false,
            });
        });
        this.setState(function (state) { return ({
            items: __spreadArrays(state.items, newItems),
        }); });
        event.target.value = ''; // reset to allow selecting same file again
    };
    FileUploadModal.prototype.getItemIndexById = function (id) {
        return this.state.items.findIndex(function (item) { return item.id === id; });
    };
    FileUploadModal.prototype.removeFile = function (index) {
        this.props.onFileRemoved(this.state.items[index].id);
        this.setState(function (state) {
            var updates = __assign({}, state);
            updates.items.splice(index, 1);
            if (updates.items.length <= 1) {
                updates.selectedIndex = 0;
            }
            else if (index >= updates.items.length) {
                updates.selectedIndex = index - 1;
            }
            return updates;
        });
    };
    FileUploadModal.prototype.selectFile = function (index) {
        this.setState({ selectedIndex: index });
    };
    FileUploadModal.prototype.updateAssetState = function (index, updates) {
        this.setState(function (state) {
            var items = __spreadArrays(state.items);
            items[index] = __assign(__assign({}, items[index]), updates);
            return { items: items };
        });
    };
    FileUploadModal.prototype.onSubmit = function () {
        var _this = this;
        this.setState({ submitting: true });
        var requestsCompleted = 0;
        var failed = false;
        this.state.items.forEach(function (item, index) {
            if (item.completed) {
                if (item.error === false) {
                    requestsCompleted += 1;
                    return;
                }
                else {
                    _this.updateAssetState(index, {
                        error: false,
                        completed: false,
                        uploadProgress: 0,
                    });
                }
            }
            var onSuccess = function () {
                _this.updateAssetState(index, {
                    error: false,
                    completed: true,
                    uploadProgress: 100,
                });
            };
            var onFail = function () {
                failed = true;
                _this.updateAssetState(index, {
                    error: true,
                    completed: true,
                    uploadProgress: 100,
                });
            };
            var onCompleted = function () {
                var notify = apis_1.superdeskApi.ui.notify;
                var _a = apis_1.superdeskApi.localization, gettext = _a.gettext, gettextPlural = _a.gettextPlural;
                requestsCompleted += 1;
                if (requestsCompleted === _this.state.items.length) {
                    if (failed === false) {
                        setTimeout(_this.props.closeModal, 500);
                        notify.success(gettextPlural(requestsCompleted, 'File uploaded successfully', '{{count}} files uploaded successfully', { count: requestsCompleted }));
                    }
                    else {
                        _this.setState({ submitting: false });
                        // TODO: Improve displaying error messages to the user
                        notify.error(gettext('Failed to upload files'));
                    }
                }
            };
            var onProgress = function (progressEvent) {
                // limit progress to 90% and set 100 only after request is done
                var uploadProgress = Math.min(Math.round(progressEvent.loaded / progressEvent.total * 100.0), 90);
                _this.updateAssetState(index, { uploadProgress: uploadProgress });
            };
            _this.props.uploadFile(item, onProgress)
                .then(onSuccess, onFail)
                .finally(onCompleted);
        });
    };
    FileUploadModal.prototype.render = function () {
        var _this = this;
        var _a;
        var gettext = apis_1.superdeskApi.localization.gettext;
        var _b = this.props, ListItemComponent = _b.ListItemComponent, RightPanelComponent = _b.RightPanelComponent;
        var headerButtonTheme = this.props.dark ? 'dark' : 'light';
        var currentItem = this.state.items[this.state.selectedIndex];
        return (React.createElement(modal_1.Modal, { id: "UploadFileModal", size: this.props.modalSize, closeModal: this.props.closeModal, closeOnEsc: true, darkUI: this.props.dark },
            React.createElement(modal_1.ModalHeader, { text: this.props.title, flex: true },
                React.createElement(react_1.ButtonGroup, { align: "right" },
                    React.createElement(react_1.Button, { text: gettext('Close'), onClick: this.props.closeModal, theme: headerButtonTheme, style: "hollow", disabled: this.state.submitting }),
                    React.createElement(react_1.Button, { text: gettext('Add File'), onClick: this.showFileUploadDialog, theme: headerButtonTheme, icon: "plus-sign", type: "sd-green", disabled: this.state.submitting }),
                    React.createElement(react_1.Button, { text: gettext('Upload'), onClick: this.onSubmit, theme: headerButtonTheme, type: "primary", disabled: this.state.submitting || this.state.items.length === 0 }))),
            React.createElement(PageLayout_1.PageLayout, { mainClassName: "sd-padding--2", main: (React.createElement(GridList_1.GridList, { dark: this.props.dark }, this.state.items.map(function (item, index) { return (React.createElement(ListItemComponent, { key: item.id, item: item, asset: _this.props.assets[item.id], selected: _this.state.selectedIndex === index, selectFile: function () { return _this.selectFile(index); }, removeFile: _this.state.submitting === true ?
                        undefined :
                        function () { return _this.removeFile(index); } })); }))), rightPanelOpen: currentItem != null, rightPanel: currentItem == null ? (React.createElement("div", null)) : (React.createElement(ui_1.PanelContent, null,
                    React.createElement(ui_1.PanelContentBlock, { flex: true },
                        React.createElement(ui_1.PanelContentBlockInner, { grow: true },
                            React.createElement(RightPanelComponent, { key: currentItem.id, item: currentItem, submitting: this.state.submitting }))))) }),
            React.createElement("input", { type: "file", ref: this.fileInputNode, onChange: this.addFiles, multiple: this.props.multiple, accept: ((_a = this.props.accept) !== null && _a !== void 0 ? _a : []).join(','), style: { visibility: 'hidden' } })));
    };
    return FileUploadModal;
}(React.Component));
exports.FileUploadModal = FileUploadModal;
