"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Apps
var samsWorkspace_1 = require("./apps/samsWorkspace");
var apis_1 = require("./apis");
var extension = {
    id: 'sams',
    activate: function (superdesk) {
        var gettext = superdesk.localization.gettext;
        Object.assign(apis_1.superdeskApi, superdesk);
        var result = {
            contributions: {
                pages: [{
                        title: gettext('SAMS'),
                        url: '/workspace/sams',
                        component: samsWorkspace_1.SamsWorkspaceApp,
                        showTopMenu: true,
                        showSideMenu: true,
                        addToMainMenu: false,
                    }],
                workspaceMenuItems: [{
                        label: gettext('SAMS'),
                        href: '/workspace/sams',
                        icon: 'picture',
                        shortcut: 'ctrl+alt+s',
                        order: 1000,
                        privileges: ['sams'],
                    }],
            },
        };
        return Promise.resolve(result);
    },
};
exports.default = extension;
