"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.onSessionUnlocked = exports.onAssetUnlocked = exports.onAssetLocked = exports.onAssetDeleted = exports.onAssetUpdated = exports.onAssetCreated = void 0;
var store_1 = require("../store");
var actions_1 = require("../store/assets/actions");
var apis_1 = require("../../src/apis");
var selectors_1 = require("../store/assets/selectors");
function onAssetCreated() {
    var store = store_1.getStore();
    store === null || store === void 0 ? void 0 : store.dispatch(actions_1.reloadAssetList());
}
exports.onAssetCreated = onAssetCreated;
function onAssetUpdated() {
    var store = store_1.getStore();
    store === null || store === void 0 ? void 0 : store.dispatch(actions_1.reloadAssetList());
}
exports.onAssetUpdated = onAssetUpdated;
function onAssetDeleted(event) {
    var notify = apis_1.superdeskApi.ui.notify;
    var gettext = apis_1.superdeskApi.localization.gettext;
    var store = store_1.getStore();
    var user_id = apis_1.superdeskApi.session.getCurrentUserId();
    var item_id = event.detail.extra.item_id;
    var selectedAssetId = selectors_1.getSelectedAssetId(store === null || store === void 0 ? void 0 : store.getState());
    var selectedAssetIds = selectors_1.getSelectedAssetIds(store === null || store === void 0 ? void 0 : store.getState());
    store === null || store === void 0 ? void 0 : store.dispatch(actions_1.reloadAssetList());
    if (selectedAssetId === item_id) {
        store === null || store === void 0 ? void 0 : store.dispatch(actions_1.closeAssetContentPanel());
        if (user_id !== event.detail.extra.user_id) {
            notify.info(gettext('Asset was deleted by another user.'));
        }
    }
    if (selectedAssetIds.includes(item_id)) {
        store === null || store === void 0 ? void 0 : store.dispatch(actions_1.updateSelectedAssetIds(item_id));
    }
}
exports.onAssetDeleted = onAssetDeleted;
function onAssetLocked(event) {
    var store = store_1.getStore();
    var item_id = event.detail.extra.item_id;
    var assetItemIds = selectors_1.getAssetListItemIds(store === null || store === void 0 ? void 0 : store.getState());
    if (assetItemIds.includes(item_id)) {
        store === null || store === void 0 ? void 0 : store.dispatch(actions_1.loadAssetsByIds([item_id]));
    }
}
exports.onAssetLocked = onAssetLocked;
function onAssetUnlocked(event) {
    var store = store_1.getStore();
    var item_id = event.detail.extra.item_id;
    var assetItemIds = selectors_1.getAssetListItemIds(store === null || store === void 0 ? void 0 : store.getState());
    if (assetItemIds.includes(item_id)) {
        store === null || store === void 0 ? void 0 : store.dispatch(actions_1.loadAssetsByIds([item_id]));
    }
}
exports.onAssetUnlocked = onAssetUnlocked;
function onSessionUnlocked(event) {
    var store = store_1.getStore();
    var session_id = event.detail.extra.session_id;
    store === null || store === void 0 ? void 0 : store.dispatch(actions_1.sessionUnlock(session_id));
}
exports.onSessionUnlocked = onSessionUnlocked;
