"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.onSetDeleted = exports.onSetUpdated = exports.onSetCreated = void 0;
// Types
var apis_1 = require("../apis");
var store_1 = require("../store");
// Redux Actions & Selectors
var actions_1 = require("../store/sets/actions");
var selectors_1 = require("../store/sets/selectors");
function onSetCreated() {
    var store = store_1.getStore();
    store === null || store === void 0 ? void 0 : store.dispatch(actions_1.loadSets());
}
exports.onSetCreated = onSetCreated;
function onSetUpdated(event) {
    var notify = apis_1.superdeskApi.ui.notify;
    var gettext = apis_1.superdeskApi.localization.gettext;
    var store = store_1.getStore();
    var user_id = apis_1.superdeskApi.session.getCurrentUserId();
    store === null || store === void 0 ? void 0 : store.dispatch(actions_1.loadSets());
    if (user_id !== event.detail.extra.user_id) {
        var item_id = selectors_1.getSelectedSetId(store === null || store === void 0 ? void 0 : store.getState());
        if (item_id === event.detail.extra.item_id) {
            store === null || store === void 0 ? void 0 : store.dispatch(actions_1.closeSetContentPanel());
            notify.info(gettext('Set was updated by another user.'));
        }
    }
}
exports.onSetUpdated = onSetUpdated;
function onSetDeleted(event) {
    var notify = apis_1.superdeskApi.ui.notify;
    var gettext = apis_1.superdeskApi.localization.gettext;
    var store = store_1.getStore();
    var user_id = apis_1.superdeskApi.session.getCurrentUserId();
    var sets = selectors_1.getSets(store === null || store === void 0 ? void 0 : store.getState());
    sets.forEach(function (element) {
        if (element._id === event.detail.extra.item_id) {
            store === null || store === void 0 ? void 0 : store.dispatch(actions_1.removeSetInStore(element));
        }
    });
    if (user_id !== event.detail.extra.user_id) {
        var item_id = selectors_1.getSelectedSetId(store === null || store === void 0 ? void 0 : store.getState());
        if (item_id === event.detail.extra.item_id) {
            store === null || store === void 0 ? void 0 : store.dispatch(actions_1.closeSetContentPanel());
            notify.info(gettext('Set was deleted by another user.'));
        }
    }
}
exports.onSetDeleted = onSetDeleted;
