"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSelectedAssetItems = exports.getSetNameForSelectedAsset = exports.getSelectedAsset = exports.getAssetSearchResults = exports.getAssetSetFilter = exports.getSetContentPanelState = exports.getSelectedAssetIds = exports.getSelectedAssetId = exports.getAssetListTotal = exports.getAssetListStyle = exports.getAssetListItemIds = exports.getAssetSearchParams = exports.getAssets = void 0;
// External Modules
var reselect_1 = require("reselect");
var interfaces_1 = require("../../interfaces");
// Redux Selectors
var selectors_1 = require("../sets/selectors");
function getAssets(state) {
    return state.assets.assets;
}
exports.getAssets = getAssets;
function getAssetSearchParams(state) {
    return state.assets.searchParams;
}
exports.getAssetSearchParams = getAssetSearchParams;
function getAssetListItemIds(state) {
    return state.assets.listItemIds;
}
exports.getAssetListItemIds = getAssetListItemIds;
function getAssetListStyle(state) {
    return state.assets.listStyle;
}
exports.getAssetListStyle = getAssetListStyle;
function getAssetListTotal(state) {
    return state.assets.searchResultTotal;
}
exports.getAssetListTotal = getAssetListTotal;
function getSelectedAssetId(state) {
    return state.assets.selectedAssetId;
}
exports.getSelectedAssetId = getSelectedAssetId;
function getSelectedAssetIds(state) {
    return state.assets.selectedAssetIds;
}
exports.getSelectedAssetIds = getSelectedAssetIds;
function getSetContentPanelState(state) {
    var _a;
    return (_a = state.assets.contentPanelState) !== null && _a !== void 0 ? _a : interfaces_1.ASSET_CONTENT_PANEL_STATE.CLOSED;
}
exports.getSetContentPanelState = getSetContentPanelState;
exports.getAssetSetFilter = reselect_1.createSelector([selectors_1.getSetsById, getAssetSearchParams], function (sets, searchParams) { return (searchParams.setId != null ?
    sets[searchParams.setId] :
    undefined); });
exports.getAssetSearchResults = reselect_1.createSelector([getAssetListItemIds, getAssets], function (assetIds, assets) { return (assetIds.map(function (assetId) { return assets[assetId]; })); });
exports.getSelectedAsset = reselect_1.createSelector([getAssets, getSelectedAssetId], function (assets, assetId) { return (assetId != null ? assets === null || assets === void 0 ? void 0 : assets[assetId] :
    undefined); });
exports.getSetNameForSelectedAsset = reselect_1.createSelector([selectors_1.getSetsById, exports.getSelectedAsset], function (sets, asset) { return (asset != null ? sets === null || sets === void 0 ? void 0 : sets[asset.set_id].name :
    undefined); });
exports.getSelectedAssetItems = reselect_1.createSelector([getSelectedAssetIds, getAssets], function (assetIds, assets) { return (assetIds.map(function (assetId) { return assets[assetId]; })); });
