"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.setsReducer = void 0;
// Types
var interfaces_1 = require("../../interfaces");
var types_1 = require("./types");
var initialState = {
    sets: [],
    contentPanelState: interfaces_1.CONTENT_PANEL_STATE.CLOSED,
    selectedSetId: undefined,
    counts: {},
};
function setsReducer(state, action) {
    if (state === void 0) { state = initialState; }
    switch (action.type) {
        case types_1.RECEIVE_SETS:
            return __assign(__assign({}, state), { sets: action.payload });
        case types_1.REMOVE_SET_IN_STORE:
            return removeSetFromStore(state, action.payload);
        case types_1.MANAGE_SETS_EDIT:
            return __assign(__assign({}, state), { contentPanelState: interfaces_1.CONTENT_PANEL_STATE.EDIT, selectedSetId: action.payload });
        case types_1.MANAGE_SETS_PREVIEW:
            return __assign(__assign({}, state), { contentPanelState: interfaces_1.CONTENT_PANEL_STATE.PREVIEW, selectedSetId: action.payload });
        case types_1.MANAGE_SETS_CLOSE_CONTENT_PANEL:
            return __assign(__assign({}, state), { contentPanelState: interfaces_1.CONTENT_PANEL_STATE.CLOSED, selectedSetId: undefined });
        case types_1.MANAGE_SETS_RESET:
            return __assign(__assign({}, state), { contentPanelState: interfaces_1.CONTENT_PANEL_STATE.CLOSED, selectedSetId: undefined });
        case types_1.RECEIVE_ASSETS_COUNT:
            return __assign(__assign({}, state), { counts: action.payload });
        default:
            return state;
    }
}
exports.setsReducer = setsReducer;
function removeSetFromStore(prevState, setToDelete) {
    return __assign(__assign({}, prevState), { sets: prevState.sets.filter(function (set) { return set._id !== setToDelete._id; }) });
}
