"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toggleFilterPanelState = exports.setFilterPanelState = void 0;
// Types
var types_1 = require("./types");
// Redux Selectors
var selectors_1 = require("./selectors");
function setFilterPanelState(isOpen) {
    return {
        type: types_1.WORKSPACE_SET_FILTER_PANEL_STATE,
        payload: isOpen,
    };
}
exports.setFilterPanelState = setFilterPanelState;
function toggleFilterPanelState() {
    return function (dispatch, getState) {
        var isOpen = !selectors_1.isFilterPanelOpen(getState());
        dispatch(setFilterPanelState(isOpen));
        return Promise.resolve();
    };
}
exports.toggleFilterPanelState = toggleFilterPanelState;
