"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchBar = void 0;
var React = __importStar(require("react"));
var classnames_1 = __importDefault(require("classnames"));
var react_1 = require("superdesk-ui-framework/react");
var react_id_generator_1 = __importDefault(require("react-id-generator"));
var SearchBar = /** @class */ (function (_super) {
    __extends(SearchBar, _super);
    function SearchBar(props) {
        var _a;
        var _this = _super.call(this, props) || this;
        _this.htmlId = react_id_generator_1.default();
        _this.state = {
            value: (_a = _this.props.initialValue) !== null && _a !== void 0 ? _a : '',
        };
        _this.handleKeydown = _this.handleKeydown.bind(_this);
        _this.handleChange = _this.handleChange.bind(_this);
        _this.clearValue = _this.clearValue.bind(_this);
        _this.handleSubmit = _this.handleSubmit.bind(_this);
        return _this;
    }
    SearchBar.prototype.handleKeydown = function (event) {
        if (event.key === 'Enter') {
            event.preventDefault();
            this.handleSubmit();
        }
    };
    SearchBar.prototype.handleChange = function (event) {
        this.setValue(event.target.value);
    };
    SearchBar.prototype.clearValue = function () {
        this.setValue('');
        this.props.onSubmit('');
    };
    SearchBar.prototype.setValue = function (value) {
        this.setState({ value: value });
        if (this.props.onChange != null) {
            this.props.onChange(value);
        }
    };
    SearchBar.prototype.handleSubmit = function () {
        this.props.onSubmit(this.state.value);
    };
    SearchBar.prototype.render = function () {
        var _a;
        var classes = classnames_1.default('sd-searchbar', (_a = {},
            _a["sd-searchbar--" + this.props.type] = this.props.type,
            _a['sd-searchbar--expanded'] = this.props.type === 'expanded' || this.props.type === undefined,
            _a['sd-searchbar--focused'] = this.props.focused,
            _a));
        return (React.createElement("div", { className: classes },
            React.createElement("label", { className: "sd-searchbar__icon" }),
            React.createElement("input", { id: this.htmlId, className: "sd-searchbar__input", type: "text", value: this.state.value, "aria-label": this.props.placeholder, "aria-describedby": this.htmlId, placeholder: this.props.placeholder, onChange: this.handleChange, onKeyDown: this.handleKeydown }),
            React.createElement("button", { className: "sd-searchbar__cancel", onClick: this.clearValue },
                React.createElement(react_1.Icon, { name: "remove-sign" })),
            React.createElement("button", { id: "sd-searchbar__search-btn", className: "sd-searchbar__search-btn", onClick: this.handleSubmit },
                React.createElement(react_1.Icon, { name: "chevron-right-thin" }))));
    };
    return SearchBar;
}(React.Component));
exports.SearchBar = SearchBar;
