"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GridItemProgressCircle = void 0;
var React = __importStar(require("react"));
var classnames_1 = __importDefault(require("classnames"));
var GridItemProgressCircle = /** @class */ (function (_super) {
    __extends(GridItemProgressCircle, _super);
    function GridItemProgressCircle(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            width: 0,
            strokeWidth: 0,
            addCSSTransition: false,
        };
        _this.svgNode = React.createRef();
        _this.updateStateFromRefNode = _this.updateStateFromRefNode.bind(_this);
        return _this;
    }
    GridItemProgressCircle.prototype.componentDidMount = function () {
        var _this = this;
        this.updateStateFromRefNode();
        setTimeout(function () {
            _this.setState({ addCSSTransition: true });
        }, 500);
    };
    GridItemProgressCircle.prototype.updateStateFromRefNode = function () {
        if (this.svgNode.current != null) {
            var boundingBox = this.svgNode.current.getBoundingClientRect();
            var circleNode = this.svgNode.current.querySelector('circle');
            if (circleNode != null) {
                this.setState({
                    width: boundingBox.width,
                    strokeWidth: parseInt(window.getComputedStyle(circleNode).strokeWidth, 10),
                });
            }
        }
        else {
            setTimeout(this.updateStateFromRefNode, 50);
        }
    };
    GridItemProgressCircle.prototype.computeSVGAttributes = function () {
        var attributes = {
            radius: 0,
            circumference: 0,
            dashOffset: 0,
        };
        if (this.state.width > 0 && this.state.strokeWidth > 0) {
            attributes.radius = (this.state.width / 2) - (this.state.strokeWidth / 2);
            attributes.circumference = 2 * Math.PI * attributes.radius;
            attributes.dashOffset = attributes.circumference * (1 - (this.props.value / 100));
        }
        return attributes;
    };
    GridItemProgressCircle.prototype.render = function () {
        var _a = this.computeSVGAttributes(), radius = _a.radius, circumference = _a.circumference, dashOffset = _a.dashOffset;
        var status = '';
        if (this.props.error === true) {
            status = 'error';
        }
        else if (this.props.value >= 100) {
            status = 'completed';
        }
        var progressDoneClasses = classnames_1.default('progress-done', {
            'progress-done--completed': status === 'completed',
            'progress-done--error': status === 'error',
        });
        var svgClasses = classnames_1.default('progress-svg', {
            'error': this.props.error,
            'completed': status === 'completed',
        });
        var circleTransitionStyle = this.state.addCSSTransition === false ?
            {} :
            { transition: 'stroke-dashoffset ease-in-out .3s' };
        return (React.createElement("span", { className: "sd-grid-item__progress-circle" },
            React.createElement("div", { className: "sd-circular-progress--m" },
                React.createElement("div", { className: "progress-bar-container" },
                    React.createElement("div", { className: progressDoneClasses },
                        status === 'error' ? null : (React.createElement("i", { className: "icon-ok", "ng-hide": "status === 'error'" })),
                        status === 'completed' ? null : (React.createElement("i", { className: "icon-close-small", "ng-hide": "status === 'completed'" }))),
                    this.props.counter !== true ? null : (React.createElement("span", { className: "progress-text", "ng-if": "counter" },
                        this.props.value,
                        React.createElement("em", null, "%"))),
                    React.createElement("svg", { className: svgClasses, ref: this.svgNode },
                        React.createElement("circle", { r: radius, cx: "50%", cy: "50%", style: circleTransitionStyle }),
                        React.createElement("circle", { className: "progressbar", r: radius, cx: "50%", cy: "50%", style: __assign(__assign({}, circleTransitionStyle), { strokeDashoffset: dashOffset, strokeDasharray: circumference }) }))))));
    };
    return GridItemProgressCircle;
}(React.Component));
exports.GridItemProgressCircle = GridItemProgressCircle;
