"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListItem = void 0;
var React = __importStar(require("react"));
var classnames_1 = __importDefault(require("classnames"));
var ListItem = /** @class */ (function (_super) {
    __extends(ListItem, _super);
    function ListItem(props) {
        var _this = _super.call(this, props) || this;
        _this.clickCount = 0;
        _this.handleClicks = _this.handleClicks.bind(_this);
        return _this;
    }
    ListItem.prototype.handleClicks = function (event) {
        var _this = this;
        if (this.props.onDoubleClick == null) {
            this.props.onClick(event);
            return;
        }
        this.clickCount++;
        if (this.clickCount === 1) {
            event.persist();
            this.singleClickTimer = window.setTimeout(function () {
                _this.clickCount = 0;
                _this.props.onClick(event);
            }, 300);
        }
        else if (this.clickCount === 2) {
            window.clearTimeout(this.singleClickTimer);
            this.clickCount = 0;
            this.props.onDoubleClick(event);
        }
    };
    ListItem.prototype.render = function () {
        var _a;
        var classes = classnames_1.default(this.props.className, 'sd-list-item', (_a = {
                'sd-list-item--no-bg': this.props.noBg,
                'sd-list-item--no-hover': this.props.noHover,
                'sd-list-item--margin': this.props.margin
            },
            _a["sd-shadow--z" + this.props.shadow] = this.props.shadow,
            _a['sd-list-item--activated'] = this.props.activated,
            _a['sd-list-item--draggable'] = this.props.draggable,
            _a['sd-list-item--selected'] = this.props.selected,
            _a['sd-list-item--active'] = this.props.active,
            _a['sd-list-item--inactive'] = this.props.inactive,
            _a['sd-list-item--element-grow'] = this.props.grow,
            _a));
        return (React.createElement("div", { className: classes, onClick: this.handleClicks }, this.props.children));
    };
    return ListItem;
}(React.PureComponent));
exports.ListItem = ListItem;
