"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Modal = void 0;
var React = __importStar(require("react"));
var classnames_1 = __importDefault(require("classnames"));
var Portal_1 = require("../Portal");
var Modal = /** @class */ (function (_super) {
    __extends(Modal, _super);
    function Modal(props) {
        var _this = _super.call(this, props) || this;
        _this.handleKeydown = _this.handleKeydown.bind(_this);
        return _this;
    }
    Modal.prototype.handleKeydown = function (event) {
        if (event.code === 'Escape' && this.props.closeModal) {
            event.preventDefault();
            this.props.closeModal();
        }
    };
    Modal.prototype.componentDidMount = function () {
        if (this.props.closeOnEsc) {
            document.addEventListener('keydown', this.handleKeydown);
        }
    };
    Modal.prototype.componentWillUnmount = function () {
        if (this.props.closeOnEsc) {
            document.removeEventListener('keydown', this.handleKeydown);
        }
    };
    Modal.prototype.render = function () {
        var _a;
        var modalClass = classnames_1.default('modal', (_a = {},
            _a["modal--" + this.props.size] = this.props.size,
            _a['modal--dark-ui'] = this.props.darkUI,
            _a['dark-ui'] = this.props.darkUI,
            _a));
        return (React.createElement(Portal_1.Portal, { id: this.props.id },
            React.createElement("div", { className: "modal__backdrop fade in" }),
            React.createElement("div", { className: modalClass, style: { display: 'block' } },
                React.createElement("div", { className: "modal__dialog" },
                    React.createElement("div", { className: "modal__content" }, this.props.children)))));
    };
    return Modal;
}(React.PureComponent));
exports.Modal = Modal;
