"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const Dropdown_1 = require("./Dropdown/Dropdown");
const CropLabel_1 = require("./Dropdown/CropLabel");
const QualityLabel_1 = require("./Dropdown/QualityLabel");
class VideoEditorToolsComponent extends React.PureComponent {
    render() {
        const resolutions = [{ label: 'Same', value: 0 }].concat([480, 720, 1080]
            .filter((i) => i < this.props.videoResolution)
            .map((i) => ({ label: i + 'p', value: i })));
        const qualityDisabled = resolutions.length === 1;
        const cropItems = [[1, 1], [4, 3], [16, 9]].map((i) => {
            const [x, y] = i;
            return { label: x + ':' + y, value: x / y };
        });
        const { getClass, gettext } = this.props;
        return (React.createElement("div", { className: "sd-photo-preview__video-tools", ref: this.props.wrapperRef },
            React.createElement("button", { className: "btn btn--ui-dark btn--hollow btn--icon-only btn--large", onClick: this.props.playPause },
                React.createElement("i", { className: this.props.videoPlaying ? 'icon-pause' : 'icon-play' })),
            React.createElement(Dropdown_1.Dropdown, { label: React.createElement(CropLabel_1.CropLabel, null), items: cropItems, onSelect: this.props.onCrop, disabled: this.props.cropEnabled === false, isButton: true, className: getClass('dropdown__crop'), gettext: gettext }),
            React.createElement("button", { className: `
                        btn btn--ui-dark btn--hollow btn--icon-only btn--large
                            ${this.props.videoDegree ? 'btn--sd-green' : ''}
                        `, onClick: this.props.onRotate },
                React.createElement("i", { className: "icon-rotate-left" })),
            React.createElement("span", { className: `sd-photo-preview__label mlr-auto ${getClass('info__headline')}` }, this.props.videoHeadline),
            React.createElement("div", null,
                React.createElement("span", { className: "sd-text__strong-s" }, gettext('Quality:')),
                React.createElement(Dropdown_1.Dropdown, { label: (React.createElement(QualityLabel_1.QualityLabel, { gettext: gettext, getClass: getClass, title: qualityDisabled
                            ? gettext('Changing quality is only supported for 480p and higher quality videos.')
                            : null })), items: resolutions, onSelect: this.props.onQualityChange, disabled: this.props.videoQuality === 0, className: qualityDisabled ? getClass('dropdown__quality--disable') : '', gettext: gettext }))));
    }
}
exports.VideoEditorTools = React.forwardRef((props, ref) => React.createElement(VideoEditorToolsComponent, Object.assign({ wrapperRef: ref }, props)));
