"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const get_video_editor_modal_1 = require("./get-video-editor-modal");
function getEditVideoAction(superdesk) {
    const { gettext } = superdesk.localization;
    const { showModal } = superdesk.ui;
    return class EditVideoAction extends React.PureComponent {
        render() {
            var _a, _b, _c;
            if (this.props.article.type === 'video'
                && ((_c = (_b = (_a = this.props.article) === null || _a === void 0 ? void 0 : _a.renditions) === null || _b === void 0 ? void 0 : _b.original) === null || _c === void 0 ? void 0 : _c.video_editor_id) != null) {
                return (React.createElement("button", { className: "btn btn--hollow btn--small", onClick: () => {
                        showModal(get_video_editor_modal_1.getVideoEditModal(superdesk, this.props.article));
                    } }, gettext('Edit video')));
            }
            else {
                return null;
            }
        }
    };
}
const extension = {
    id: 'videoEditor',
    activate: (superdesk) => {
        const result = {
            contributions: {
                mediaActions: [getEditVideoAction(superdesk)],
            },
        };
        return Promise.resolve(result);
    },
};
exports.default = extension;
